
define_global_attribute {syn_hier} {hard}
define_global_attribute {xc_use_keep_hierarchy} {1}
define_global_attribute {syn_useioff} {1}
define_global_attribute {syn_forward_io_constraints} {1}

# 
# Synplicity UCF to SDC Convertor, Build 094R, Jun 18 2010 00:10:53
# Automatically converted from /midas/ice/icexxx/code/soc/dtdm/top.ucf to /midas/ice/icexxx/code/soc/dtdm/top_conv.sdc
# Check /midas/ice/icexxx/code/soc/dtdm/top_unsupported.ucf file for the list of constraints not converted.
# 


	# NET "x1" TNM_NET = "x1";

define_clock {p:x1} -name {x1} -freq 120.000 -clockgroup clkgroup_x1 -comment {line=4}
	# TIMESPEC "TS_x1" = PERIOD "x1" 120 MHz HIGH 50 %;

	# NET "x2p" TNM_NET = "x2p";

define_clock {p:x2p} -name {x2p} -freq 100.000 -clockgroup clkgroup_x2p -comment {line=6}
	# TIMESPEC "TS_x2p" = PERIOD "x2p" 100 MHz HIGH 50 %;

	# NET "bsif/clk" TNM_NET = "bsif_drck2";

define_clock {t:bsif._clk.O} -name {bsif._clk.O} -freq 50.000 -clockgroup clkgroup_bsif_drck2 -comment {line=8}
	# TIMESPEC "TS_bsif_drck2" = PERIOD "bsif_drck2" 50 MHz HIGH 50 %;

	# NET "t1pck" TNM_NET = "t1pck";

define_clock {p:t1pck} -name {t1pck} -freq 120.000 -clockgroup clkgroup_t1pck -comment {line=10}
	# TIMESPEC "TS_t1pck" = PERIOD "t1pck" 120 MHz HIGH 50 %;

	# NET "t2pck" TNM_NET = "t2pck";

define_clock {p:t2pck} -name {t2pck} -freq 120.000 -clockgroup clkgroup_t2pck -comment {line=12}
	# TIMESPEC "TS_t2pck" = PERIOD "t2pck" 120 MHz HIGH 50 %;

	# NET "t3pck" TNM_NET = "t3pck";

define_clock {p:t3pck} -name {t3pck} -freq 120.000 -clockgroup clkgroup_t3pck -comment {line=14}
	# TIMESPEC "TS_t3pck" = PERIOD "t3pck" 120 MHz HIGH 50 %;

	# NET "t4pck" TNM_NET = "t4pck";

define_clock {p:t4pck} -name {t4pck} -freq 120.000 -clockgroup clkgroup_t4pck -comment {line=16}
	# TIMESPEC "TS_t4pck" = PERIOD "t4pck" 120 MHz HIGH 50 %;

	# NET "t5pck" TNM_NET = "t5pck";

define_clock {p:t5pck} -name {t5pck} -freq 120.000 -clockgroup clkgroup_t5pck -comment {line=18}
	# TIMESPEC "TS_t5pck" = PERIOD "t5pck" 120 MHz HIGH 50 %;

	# NET "t6pck" TNM_NET = "t6pck";

define_clock {p:t6pck} -name {t6pck} -freq 120.000 -clockgroup clkgroup_t6pck -comment {line=20}
	# TIMESPEC "TS_t6pck" = PERIOD "t6pck" 120 MHz HIGH 50 %;

	# NET "t7pck" TNM_NET = "t7pck";

define_clock {p:t7pck} -name {t7pck} -freq 120.000 -clockgroup clkgroup_t7pck -comment {line=22}
	# TIMESPEC "TS_t7pck" = PERIOD "t7pck" 120 MHz HIGH 50 %;

	# NET "t8pck" TNM_NET = "t8pck";

define_clock {p:t8pck} -name {t8pck} -freq 120.000 -clockgroup clkgroup_t8pck -comment {line=24}
	# TIMESPEC "TS_t8pck" = PERIOD "t8pck" 120 MHz HIGH 50 %;

	# NET "vipc" TNM_NET = "vipc";

	# NET "sc/lclkf" TNM_NET = "gclkf";

	# NET "sc/lclks" TNM_NET = "gclks";

	# NET "sc/lclkx" TNM_NET = "gclkx";

	# NET "sc/lclkm" TNM_NET = "mclk";

define_scope_collection gclks__0_Z0 {find -pin {t:sc.x_dcm.CLK0}}
define_scope_collection gclks__0_fr {expand -hier -from $gclks__0_Z0}
define_scope_collection gclks {find -seq * -in $gclks__0_fr}
define_scope_collection gclkf__0_Z0 {find -pin {t:sc.q_dcm.CLKDV}}
define_scope_collection gclkf__0_fr {expand -hier -from $gclkf__0_Z0}
define_scope_collection gclkf {find -seq * -in $gclkf__0_fr}
define_false_path -from {$gclks} -to {$gclkf} 
	# TIMESPEC "TS_gclks2f" = FROM "gclks" TO "gclkf" TIG;

define_false_path -from {$gclkf} -to {$gclks} 
	# TIMESPEC "TS_gclkf2s" = FROM "gclkf" TO "gclks" TIG;

define_scope_collection gclkx__0_Z0 {find -pin {t:sc.x_dcm.CLK2X}}
define_scope_collection gclkx__0_fr {expand -hier -from $gclkx__0_Z0}
define_scope_collection gclkx {find -seq * -in $gclkx__0_fr}
define_false_path -from {$gclkx} -to {$gclkf} 
	# TIMESPEC "TS_gclkx2f" = FROM "gclkx" TO "gclkf" TIG;

define_false_path -from {$gclkf} -to {$gclkx} 
	# TIMESPEC "TS_gclkf2x" = FROM "gclkf" TO "gclkx" TIG;

define_false_path -from {$gclkx} -to {$gclks} 
	# TIMESPEC "TS_gclkx2s" = FROM "gclkx" TO "gclks" TIG;

define_false_path -from {$gclks} -to {$gclkx} 
	# TIMESPEC "TS_gclks2x" = FROM "gclks" TO "gclkx" TIG;

define_scope_collection mclk__0_Z0 {find -pin {t:sc.p_dcm.CLK270}}
define_scope_collection mclk__0_fr {expand -hier -from $mclk__0_Z0}
define_scope_collection mclk {find -seq * -in $mclk__0_fr}
define_false_path -from {$mclk} -to {$gclks} 
	# TIMESPEC "TS_clkm2s" = FROM "mclk" TO "gclks" TIG;

define_false_path -from {$mclk} -to {$gclkf} 
	# TIMESPEC "TS_clkm2f" = FROM "mclk" TO "gclkf" TIG;

define_false_path -from {$gclks} -to {$mclk} 
	# TIMESPEC "TS_clks2m" = FROM "gclks" TO "mclk" TIG;

	# NET "sc/lclkt" TNM_NET = "gclkt";

define_scope_collection gclkt__0_Z0 {find -pin {t:sc.x_dcm.CLKFX}}
define_scope_collection gclkt__0_fr {expand -hier -from $gclkt__0_Z0}
define_scope_collection gclkt {find -seq * -in $gclkt__0_fr}
define_false_path -from {$gclkx} -to {$gclkt} 
	# TIMESPEC "TS_gclkx2t" = FROM "gclkx" TO "gclkt" TIG;

define_false_path -from {$gclkt} -to {$gclkx} 
	# TIMESPEC "TS_gclkt2x" = FROM "gclkt" TO "gclkx" TIG;

define_scope_collection hihold_tig {find -pin {t:hi.ihold.Q}}
define_scope_collection hihold_tig {expand -hier -level 1 -from $hihold_tig}
define_scope_collection hihold_tig {find -net * -in $hihold_tig}
define_false_path -through {$hihold_tig}
	# NET "hihold" TIG;

define_scope_collection hohold_tig {find -pin {t:hi.hyp.ohold.Q}}
define_scope_collection hohold_tig {expand -hier -level 1 -from $hohold_tig}
define_scope_collection hohold_tig {find -net * -in $hohold_tig}
define_false_path -through {$hohold_tig}
	# NET "hohold" TIG;

define_scope_collection rmem_tig {find -pin {t:sc.rmem.Q}}
define_scope_collection rmem_tig {expand -hier -level 1 -from $rmem_tig}
define_scope_collection rmem_tig {find -net * -in $rmem_tig}
define_false_path -through {$rmem_tig}
	# NET "rmem" TIG;

define_scope_collection csel_0__tig {find -pin {t:ppc.dcr.saddr[24].Q}}
define_scope_collection csel_0__tig {expand -hier -level 1 -from $csel_0__tig}
define_scope_collection csel_0__tig {find -net * -in $csel_0__tig}
define_false_path -through {$csel_0__tig}
	# NET "csel<0>" TIG;

define_scope_collection csel_2__tig {find -pin {t:ppc.dcr.saddr[26].Q}}
define_scope_collection csel_2__tig {expand -hier -level 1 -from $csel_2__tig}
define_scope_collection csel_2__tig {find -net * -in $csel_2__tig}
define_false_path -through {$csel_2__tig}
	# NET "csel<2>" TIG;

define_scope_collection csel_3__tig {find -pin {t:ppc.dcr.saddr[27].Q}}
define_scope_collection csel_3__tig {expand -hier -level 1 -from $csel_3__tig}
define_scope_collection csel_3__tig {find -net * -in $csel_3__tig}
define_false_path -through {$csel_3__tig}
	# NET "csel<3>" TIG;

define_scope_collection sdbus_0__tig {find -pin {t:swp.genblk0\.blk\[0\]\.inst.O}}
define_scope_collection sdbus_0__tig {expand -hier -level 1 -from $sdbus_0__tig}
define_scope_collection sdbus_0__tig {find -net * -in $sdbus_0__tig}
define_false_path -through {$sdbus_0__tig}
	# NET "sdbus<0>" TIG;

define_scope_collection sdbus_1__tig {find -pin {t:swp.genblk0\.blk\[1\]\.inst.O}}
define_scope_collection sdbus_1__tig {expand -hier -level 1 -from $sdbus_1__tig}
define_scope_collection sdbus_1__tig {find -net * -in $sdbus_1__tig}
define_false_path -through {$sdbus_1__tig}
	# NET "sdbus<1>" TIG;

define_scope_collection sdbus_2__tig {find -pin {t:swp.genblk0\.blk\[2\]\.inst.O}}
define_scope_collection sdbus_2__tig {expand -hier -level 1 -from $sdbus_2__tig}
define_scope_collection sdbus_2__tig {find -net * -in $sdbus_2__tig}
define_false_path -through {$sdbus_2__tig}
	# NET "sdbus<2>" TIG;

define_scope_collection sdbus_3__tig {find -pin {t:swp.genblk0\.blk\[3\]\.inst.O}}
define_scope_collection sdbus_3__tig {expand -hier -level 1 -from $sdbus_3__tig}
define_scope_collection sdbus_3__tig {find -net * -in $sdbus_3__tig}
define_false_path -through {$sdbus_3__tig}
	# NET "sdbus<3>" TIG;

define_scope_collection sdbus_4__tig {find -pin {t:swp.genblk0\.blk\[4\]\.inst.O}}
define_scope_collection sdbus_4__tig {expand -hier -level 1 -from $sdbus_4__tig}
define_scope_collection sdbus_4__tig {find -net * -in $sdbus_4__tig}
define_false_path -through {$sdbus_4__tig}
	# NET "sdbus<4>" TIG;

define_scope_collection sdbus_5__tig {find -pin {t:swp.genblk0\.blk\[5\]\.inst.O}}
define_scope_collection sdbus_5__tig {expand -hier -level 1 -from $sdbus_5__tig}
define_scope_collection sdbus_5__tig {find -net * -in $sdbus_5__tig}
define_false_path -through {$sdbus_5__tig}
	# NET "sdbus<5>" TIG;

define_scope_collection sdbus_6__tig {find -pin {t:swp.genblk0\.blk\[6\]\.inst.O}}
define_scope_collection sdbus_6__tig {expand -hier -level 1 -from $sdbus_6__tig}
define_scope_collection sdbus_6__tig {find -net * -in $sdbus_6__tig}
define_false_path -through {$sdbus_6__tig}
	# NET "sdbus<6>" TIG;

define_scope_collection sdbus_7__tig {find -pin {t:swp.genblk0\.blk\[7\]\.inst.O}}
define_scope_collection sdbus_7__tig {expand -hier -level 1 -from $sdbus_7__tig}
define_scope_collection sdbus_7__tig {find -net * -in $sdbus_7__tig}
define_false_path -through {$sdbus_7__tig}
	# NET "sdbus<7>" TIG;

define_scope_collection sdbus_8__tig {find -pin {t:swp.genblk0\.blk\[8\]\.inst.O}}
define_scope_collection sdbus_8__tig {expand -hier -level 1 -from $sdbus_8__tig}
define_scope_collection sdbus_8__tig {find -net * -in $sdbus_8__tig}
define_false_path -through {$sdbus_8__tig}
	# NET "sdbus<8>" TIG;

define_scope_collection sdbus_9__tig {find -pin {t:swp.genblk0\.blk\[9\]\.inst.O}}
define_scope_collection sdbus_9__tig {expand -hier -level 1 -from $sdbus_9__tig}
define_scope_collection sdbus_9__tig {find -net * -in $sdbus_9__tig}
define_false_path -through {$sdbus_9__tig}
	# NET "sdbus<9>" TIG;

define_scope_collection sdbus_10__tig {find -pin {t:swp.genblk0\.blk\[10\]\.inst.O}}
define_scope_collection sdbus_10__tig {expand -hier -level 1 -from $sdbus_10__tig}
define_scope_collection sdbus_10__tig {find -net * -in $sdbus_10__tig}
define_false_path -through {$sdbus_10__tig}
	# NET "sdbus<10>" TIG;

define_scope_collection sdbus_11__tig {find -pin {t:swp.genblk0\.blk\[11\]\.inst.O}}
define_scope_collection sdbus_11__tig {expand -hier -level 1 -from $sdbus_11__tig}
define_scope_collection sdbus_11__tig {find -net * -in $sdbus_11__tig}
define_false_path -through {$sdbus_11__tig}
	# NET "sdbus<11>" TIG;

define_scope_collection sdbus_12__tig {find -pin {t:swp.genblk0\.blk\[12\]\.inst.O}}
define_scope_collection sdbus_12__tig {expand -hier -level 1 -from $sdbus_12__tig}
define_scope_collection sdbus_12__tig {find -net * -in $sdbus_12__tig}
define_false_path -through {$sdbus_12__tig}
	# NET "sdbus<12>" TIG;

define_scope_collection sdbus_13__tig {find -pin {t:swp.genblk0\.blk\[13\]\.inst.O}}
define_scope_collection sdbus_13__tig {expand -hier -level 1 -from $sdbus_13__tig}
define_scope_collection sdbus_13__tig {find -net * -in $sdbus_13__tig}
define_false_path -through {$sdbus_13__tig}
	# NET "sdbus<13>" TIG;

define_scope_collection sdbus_14__tig {find -pin {t:swp.genblk0\.blk\[14\]\.inst.O}}
define_scope_collection sdbus_14__tig {expand -hier -level 1 -from $sdbus_14__tig}
define_scope_collection sdbus_14__tig {find -net * -in $sdbus_14__tig}
define_false_path -through {$sdbus_14__tig}
	# NET "sdbus<14>" TIG;

define_scope_collection sdbus_15__tig {find -pin {t:swp.genblk0\.blk\[15\]\.inst.O}}
define_scope_collection sdbus_15__tig {expand -hier -level 1 -from $sdbus_15__tig}
define_scope_collection sdbus_15__tig {find -net * -in $sdbus_15__tig}
define_false_path -through {$sdbus_15__tig}
	# NET "sdbus<15>" TIG;

define_scope_collection sdbus_16__tig {find -pin {t:swp.genblk0\.blk\[16\]\.inst.O}}
define_scope_collection sdbus_16__tig {expand -hier -level 1 -from $sdbus_16__tig}
define_scope_collection sdbus_16__tig {find -net * -in $sdbus_16__tig}
define_false_path -through {$sdbus_16__tig}
	# NET "sdbus<16>" TIG;

define_scope_collection sdbus_17__tig {find -pin {t:swp.genblk0\.blk\[17\]\.inst.O}}
define_scope_collection sdbus_17__tig {expand -hier -level 1 -from $sdbus_17__tig}
define_scope_collection sdbus_17__tig {find -net * -in $sdbus_17__tig}
define_false_path -through {$sdbus_17__tig}
	# NET "sdbus<17>" TIG;

define_scope_collection sdbus_18__tig {find -pin {t:swp.genblk0\.blk\[18\]\.inst.O}}
define_scope_collection sdbus_18__tig {expand -hier -level 1 -from $sdbus_18__tig}
define_scope_collection sdbus_18__tig {find -net * -in $sdbus_18__tig}
define_false_path -through {$sdbus_18__tig}
	# NET "sdbus<18>" TIG;

define_scope_collection sdbus_19__tig {find -pin {t:swp.genblk0\.blk\[19\]\.inst.O}}
define_scope_collection sdbus_19__tig {expand -hier -level 1 -from $sdbus_19__tig}
define_scope_collection sdbus_19__tig {find -net * -in $sdbus_19__tig}
define_false_path -through {$sdbus_19__tig}
	# NET "sdbus<19>" TIG;

define_scope_collection sdbus_20__tig {find -pin {t:swp.genblk0\.blk\[20\]\.inst.O}}
define_scope_collection sdbus_20__tig {expand -hier -level 1 -from $sdbus_20__tig}
define_scope_collection sdbus_20__tig {find -net * -in $sdbus_20__tig}
define_false_path -through {$sdbus_20__tig}
	# NET "sdbus<20>" TIG;

define_scope_collection sdbus_21__tig {find -pin {t:swp.genblk0\.blk\[21\]\.inst.O}}
define_scope_collection sdbus_21__tig {expand -hier -level 1 -from $sdbus_21__tig}
define_scope_collection sdbus_21__tig {find -net * -in $sdbus_21__tig}
define_false_path -through {$sdbus_21__tig}
	# NET "sdbus<21>" TIG;

define_scope_collection sdbus_22__tig {find -pin {t:swp.genblk0\.blk\[22\]\.inst.O}}
define_scope_collection sdbus_22__tig {expand -hier -level 1 -from $sdbus_22__tig}
define_scope_collection sdbus_22__tig {find -net * -in $sdbus_22__tig}
define_false_path -through {$sdbus_22__tig}
	# NET "sdbus<22>" TIG;

define_scope_collection sdbus_23__tig {find -pin {t:swp.genblk0\.blk\[23\]\.inst.O}}
define_scope_collection sdbus_23__tig {expand -hier -level 1 -from $sdbus_23__tig}
define_scope_collection sdbus_23__tig {find -net * -in $sdbus_23__tig}
define_false_path -through {$sdbus_23__tig}
	# NET "sdbus<23>" TIG;

define_scope_collection sdbus_24__tig {find -pin {t:swp.genblk0\.blk\[24\]\.inst.O}}
define_scope_collection sdbus_24__tig {expand -hier -level 1 -from $sdbus_24__tig}
define_scope_collection sdbus_24__tig {find -net * -in $sdbus_24__tig}
define_false_path -through {$sdbus_24__tig}
	# NET "sdbus<24>" TIG;

define_scope_collection sdbus_25__tig {find -pin {t:swp.genblk0\.blk\[25\]\.inst.O}}
define_scope_collection sdbus_25__tig {expand -hier -level 1 -from $sdbus_25__tig}
define_scope_collection sdbus_25__tig {find -net * -in $sdbus_25__tig}
define_false_path -through {$sdbus_25__tig}
	# NET "sdbus<25>" TIG;

define_scope_collection sdbus_26__tig {find -pin {t:swp.genblk0\.blk\[26\]\.inst.O}}
define_scope_collection sdbus_26__tig {expand -hier -level 1 -from $sdbus_26__tig}
define_scope_collection sdbus_26__tig {find -net * -in $sdbus_26__tig}
define_false_path -through {$sdbus_26__tig}
	# NET "sdbus<26>" TIG;

define_scope_collection sdbus_27__tig {find -pin {t:swp.genblk0\.blk\[27\]\.inst.O}}
define_scope_collection sdbus_27__tig {expand -hier -level 1 -from $sdbus_27__tig}
define_scope_collection sdbus_27__tig {find -net * -in $sdbus_27__tig}
define_false_path -through {$sdbus_27__tig}
	# NET "sdbus<27>" TIG;

define_scope_collection sdbus_28__tig {find -pin {t:swp.genblk0\.blk\[28\]\.inst.O}}
define_scope_collection sdbus_28__tig {expand -hier -level 1 -from $sdbus_28__tig}
define_scope_collection sdbus_28__tig {find -net * -in $sdbus_28__tig}
define_false_path -through {$sdbus_28__tig}
	# NET "sdbus<28>" TIG;

define_scope_collection sdbus_29__tig {find -pin {t:swp.genblk0\.blk\[29\]\.inst.O}}
define_scope_collection sdbus_29__tig {expand -hier -level 1 -from $sdbus_29__tig}
define_scope_collection sdbus_29__tig {find -net * -in $sdbus_29__tig}
define_false_path -through {$sdbus_29__tig}
	# NET "sdbus<29>" TIG;

define_scope_collection sdbus_30__tig {find -pin {t:swp.genblk0\.blk\[30\]\.inst.O}}
define_scope_collection sdbus_30__tig {expand -hier -level 1 -from $sdbus_30__tig}
define_scope_collection sdbus_30__tig {find -net * -in $sdbus_30__tig}
define_false_path -through {$sdbus_30__tig}
	# NET "sdbus<30>" TIG;

define_scope_collection sdbus_31__tig {find -pin {t:swp.genblk0\.blk\[31\]\.inst.O}}
define_scope_collection sdbus_31__tig {expand -hier -level 1 -from $sdbus_31__tig}
define_scope_collection sdbus_31__tig {find -net * -in $sdbus_31__tig}
define_false_path -through {$sdbus_31__tig}
	# NET "sdbus<31>" TIG;

##PACE: Start of Constraints generated by PACE
##PACE: Start of PACE I/O Pin Assignments
define_attribute {b:ma[0]} xc_loc {aa9}
	# NET "ma<0>" LOC = "aa9" ;

define_attribute {b:ma[10]} xc_loc {ac9}
	# NET "ma<10>" LOC = "ac9" ;

define_attribute {b:ma[11]} xc_loc {ab17}
	# NET "ma<11>" LOC = "ab17" ;

define_attribute {b:ma[12]} xc_loc {ad17}
	# NET "ma<12>" LOC = "ad17" ;

define_attribute {b:ma[13]} xc_loc {y9}
	# NET "ma<13>" LOC = "y9" ;

define_attribute {b:ma[14]} xc_loc {ab11}
	# NET "ma<14>" LOC = "ab11" ;

define_attribute {b:ma[1]} xc_loc {ab9}
	# NET "ma<1>" LOC = "ab9" ;

define_attribute {b:ma[2]} xc_loc {aa8}
	# NET "ma<2>" LOC = "aa8" ;

define_attribute {b:ma[3]} xc_loc {ab8}
	# NET "ma<3>" LOC = "ab8" ;

define_attribute {b:ma[4]} xc_loc {ab20}
	# NET "ma<4>" LOC = "ab20" ;

define_attribute {b:ma[5]} xc_loc {ab19}
	# NET "ma<5>" LOC = "ab19" ;

define_attribute {b:ma[6]} xc_loc {aa19}
	# NET "ma<6>" LOC = "aa19" ;

define_attribute {b:ma[7]} xc_loc {ab18}
	# NET "ma<7>" LOC = "ab18" ;

define_attribute {b:ma[8]} xc_loc {ad18}
	# NET "ma<8>" LOC = "ad18" ;

define_attribute {b:ma[9]} xc_loc {y19}
	# NET "ma<9>" LOC = "y19" ;

define_attribute {b:mba[0]} xc_loc {ad9}
	# NET "mba<0>" LOC = "ad9" ;

define_attribute {b:mba[1]} xc_loc {ab10}
	# NET "mba<1>" LOC = "ab10" ;

define_attribute {b:mckn} xc_loc {ac18}
	# NET "mckn" LOC = "ac18" ;

define_attribute {b:mckp} xc_loc {ac17}
	# NET "mckp" LOC = "ac17" ;

define_attribute {b:mcs} xc_loc {ac10}
	# NET "mcs" LOC = "ac10" ;

define_attribute {b:mdq[0]} xc_loc {ac5}
	# NET "mdq<0>" LOC = "ac5" ;

define_attribute {b:mdq[10]} xc_loc {ab12}
	# NET "mdq<10>" LOC = "ab12" ;

define_attribute {b:mdq[11]} xc_loc {ad12}
	# NET "mdq<11>" LOC = "ad12" ;

define_attribute {b:mdq[12]} xc_loc {ac13}
	# NET "mdq<12>" LOC = "ac13" ;

define_attribute {b:mdq[13]} xc_loc {ab13}
	# NET "mdq<13>" LOC = "ab13" ;

define_attribute {b:mdq[14]} xc_loc {ad13}
	# NET "mdq<14>" LOC = "ad13" ;

define_attribute {b:mdq[15]} xc_loc {ae13}
	# NET "mdq<15>" LOC = "ae13" ;

define_attribute {b:mdq[16]} xc_loc {ad14}
	# NET "mdq<16>" LOC = "ad14" ;

define_attribute {b:mdq[17]} xc_loc {ae14}
	# NET "mdq<17>" LOC = "ae14" ;

define_attribute {b:mdq[18]} xc_loc {ab14}
	# NET "mdq<18>" LOC = "ab14" ;

define_attribute {b:mdq[19]} xc_loc {ac14}
	# NET "mdq<19>" LOC = "ac14" ;

define_attribute {b:mdq[1]} xc_loc {ab5}
	# NET "mdq<1>" LOC = "ab5" ;

define_attribute {b:mdq[20]} xc_loc {ad15}
	# NET "mdq<20>" LOC = "ad15" ;

define_attribute {b:mdq[21]} xc_loc {ab15}
	# NET "mdq<21>" LOC = "ab15" ;

define_attribute {b:mdq[22]} xc_loc {aa14}
	# NET "mdq<22>" LOC = "aa14" ;

define_attribute {b:mdq[23]} xc_loc {ac15}
	# NET "mdq<23>" LOC = "ac15" ;

define_attribute {b:mdq[24]} xc_loc {ac20}
	# NET "mdq<24>" LOC = "ac20" ;

define_attribute {b:mdq[25]} xc_loc {ad20}
	# NET "mdq<25>" LOC = "ad20" ;

define_attribute {b:mdq[26]} xc_loc {y20}
	# NET "mdq<26>" LOC = "y20" ;

define_attribute {b:mdq[27]} xc_loc {aa20}
	# NET "mdq<27>" LOC = "aa20" ;

define_attribute {b:mdq[28]} xc_loc {ab21}
	# NET "mdq<28>" LOC = "ab21" ;

define_attribute {b:mdq[29]} xc_loc {ac21}
	# NET "mdq<29>" LOC = "ac21" ;

define_attribute {b:mdq[2]} xc_loc {ac6}
	# NET "mdq<2>" LOC = "ac6" ;

define_attribute {b:mdq[30]} xc_loc {ab22}
	# NET "mdq<30>" LOC = "ab22" ;

define_attribute {b:mdq[31]} xc_loc {ac22}
	# NET "mdq<31>" LOC = "ac22" ;

define_attribute {b:mdq[3]} xc_loc {ab6}
	# NET "mdq<3>" LOC = "ab6" ;

define_attribute {b:mdq[4]} xc_loc {aa7}
	# NET "mdq<4>" LOC = "aa7" ;

define_attribute {b:mdq[5]} xc_loc {y7}
	# NET "mdq<5>" LOC = "y7" ;

define_attribute {b:mdq[6]} xc_loc {ad7}
	# NET "mdq<6>" LOC = "ad7" ;

define_attribute {b:mdq[7]} xc_loc {ac7}
	# NET "mdq<7>" LOC = "ac7" ;

define_attribute {b:mdq[8]} xc_loc {ac12}
	# NET "mdq<8>" LOC = "ac12" ;

define_attribute {b:mdq[9]} xc_loc {aa13}
	# NET "mdq<9>" LOC = "aa13" ;

define_attribute {b:mdqs[0]} xc_loc {af8}
	# NET "mdqs<0>" LOC = "af8" ;

define_attribute {b:mdqs[1]} xc_loc {ae8}
	# NET "mdqs<1>" LOC = "ae8" ;

define_attribute {b:mdqs[2]} xc_loc {ae19}
	# NET "mdqs<2>" LOC = "ae19" ;

define_attribute {b:mdqs[3]} xc_loc {af19}
	# NET "mdqs<3>" LOC = "af19" ;

define_attribute {b:mfn} xc_loc {ad10}
	# NET "mfn" LOC = "ad10" ;

define_attribute {b:mpd} xc_loc {aa18}
	# NET "mpd" LOC = "aa18" ;

define_attribute {i:mb.ram1r} LOC {RAMB16_X6Y2}
	# INST "mb/ram1r" LOC = "RAMB16_X6Y2" ;

define_attribute {i:mb.ram1w} LOC {RAMB16_X6Y0}
	# INST "mb/ram1w" LOC = "RAMB16_X6Y0" ;

define_attribute {i:mb.ram2r} LOC {RAMB16_X5Y3}
	# INST "mb/ram2r" LOC = "RAMB16_X5Y3" ;

define_attribute {i:mb.ram2w} LOC {RAMB16_X5Y1}
	# INST "mb/ram2w" LOC = "RAMB16_X5Y1" ;

define_attribute {i:ppc.ppc1} LOC {PPC405_X1Y0}
	# INST "ppc/ppc1" LOC = "PPC405_X1Y0" ;

define_attribute {i:ppc.dsr.genblk28\.dp\[0\]\.inst.genblk31\.c4x18\.ram} LOC {RAMB16_X7Y13}
#WARNING# Ignore unsupported keyword - INIT_3F.
	# INST ppc/dsr/genblk28.dp[0].inst/genblk31.c4x18.ram LOC = "RAMB16_X7Y13" | INIT_3F = 00000000_00000000_00000000_05880013_00000000_00000000_00000000_00000000 ;

define_attribute {i:ppc.dsr.genblk28\.dp\[1\]\.inst.genblk31\.c4x18\.ram} LOC {RAMB16_X8Y13}
#WARNING# Ignore unsupported keyword - INIT_3F.
	# INST ppc/dsr/genblk28.dp[1].inst/genblk31.c4x18.ram LOC = "RAMB16_X8Y13" | INIT_3F = 00000000_00000000_00000000_25440005_00000000_00000000_00000000_00000000 ;

define_attribute {i:ppc.isr.genblk28\.dp\[0\]\.inst.genblk31\.c4x36\.ram} LOC {RAMB16_X7Y8}
	# INST ppc/isr/genblk28.dp[0].inst/genblk31.c4x36.ram LOC = "RAMB16_X7Y8" ;

define_attribute {i:ppc.isr.genblk28\.dp\[1\]\.inst.genblk31\.c4x36\.ram} LOC {RAMB16_X8Y8}
	# INST ppc/isr/genblk28.dp[1].inst/genblk31.c4x36.ram LOC = "RAMB16_X8Y8" ;

define_attribute {i:dmac.ram} LOC {RAMB16_X6Y13}
	# INST "dmac/ram" LOC = "RAMB16_X6Y13" ;

define_attribute {i:sc._clkf} LOC {BUFGMUX1S}
	# INST "sc/_clkf" LOC = "BUFGMUX1S" ;

define_attribute {i:sc._clkr} LOC {BUFGMUX6P}
	# INST "sc/_clkr" LOC = "BUFGMUX6P" ;

define_attribute {i:sc._clks} LOC {BUFGMUX5P}
	# INST "sc/_clks" LOC = "BUFGMUX5P" ;

define_attribute {i:sc._clkt} LOC {BUFGMUX0S}
	# INST "sc/_clkt" LOC = "BUFGMUX0S" ;

define_attribute {i:sc._clkvi} LOC {BUFGMUX3P}
	# INST "sc/_clkvi" LOC = "BUFGMUX3P" ;

define_attribute {i:sc._clkvo} LOC {BUFGMUX2S}
	# INST "sc/_clkvo" LOC = "BUFGMUX2S" ;

define_attribute {i:sc._clkw} LOC {BUFGMUX7S}
	# INST "sc/_clkw" LOC = "BUFGMUX7S" ;

define_attribute {i:sc._clkx} LOC {BUFGMUX4S}
	# INST "sc/_clkx" LOC = "BUFGMUX4S" ;

define_attribute {i:sc._clkm} LOC {BUFGMUX3S}
	# INST "sc/_clkm" LOC = "BUFGMUX3S" ;

define_attribute {i:sc.p_dcm} LOC {DCM_X0Y0}
	# INST "sc/p_dcm" LOC = "DCM_X0Y0" ;

define_attribute {i:sc.q_dcm} LOC {DCM_X1Y0}
	# INST "sc/q_dcm" LOC = "DCM_X1Y0" ;

define_attribute {i:sc.v_dcm} LOC {DCM_X1Y1}
	# INST "sc/v_dcm" LOC = "DCM_X1Y1" ;

define_attribute {i:sc.x_dcm} LOC {DCM_X0Y1}
	# INST "sc/x_dcm" LOC = "DCM_X0Y1" ;

define_attribute {b:t1a[0]} xc_loc {n24}
define_attribute {p:t1a[0]} syn_pad_type {LVCMOS33}
	# NET "t1a<0>" LOC = "n24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1a[1]} xc_loc {n23}
define_attribute {p:t1a[1]} syn_pad_type {LVCMOS33}
	# NET "t1a<1>" LOC = "n23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1a[2]} xc_loc {h25}
define_attribute {p:t1a[2]} syn_pad_type {LVCMOS33}
	# NET "t1a<2>" LOC = "h25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1a[3]} xc_loc {j25}
define_attribute {p:t1a[3]} syn_pad_type {LVCMOS33}
	# NET "t1a<3>" LOC = "j25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1a[4]} xc_loc {h26}
define_attribute {p:t1a[4]} syn_pad_type {LVCMOS33}
	# NET "t1a<4>" LOC = "h26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[0]} xc_loc {k23}
define_attribute {p:t1c[0]} syn_pad_type {LVCMOS33}
	# NET "t1c<0>" LOC = "k23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[1]} xc_loc {k22}
define_attribute {p:t1c[1]} syn_pad_type {LVCMOS33}
	# NET "t1c<1>" LOC = "k22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[2]} xc_loc {k24}
define_attribute {p:t1c[2]} syn_pad_type {LVCMOS33}
	# NET "t1c<2>" LOC = "k24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[3]} xc_loc {l22}
define_attribute {p:t1c[3]} syn_pad_type {LVCMOS33}
	# NET "t1c<3>" LOC = "l22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[4]} xc_loc {l21}
define_attribute {p:t1c[4]} syn_pad_type {LVCMOS33}
	# NET "t1c<4>" LOC = "l21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[5]} xc_loc {m22}
define_attribute {p:t1c[5]} syn_pad_type {LVCMOS33}
	# NET "t1c<5>" LOC = "m22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[6]} xc_loc {m23}
define_attribute {p:t1c[6]} syn_pad_type {LVCMOS33}
	# NET "t1c<6>" LOC = "m23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1c[7]} xc_loc {n22}
define_attribute {p:t1c[7]} syn_pad_type {LVCMOS33}
	# NET "t1c<7>" LOC = "n22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1clk} xc_loc {l24}
define_attribute {p:t1clk} syn_pad_type {LVCMOS33}
	# NET "t1clk" LOC = "l24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[0]} xc_loc {l25}
define_attribute {p:t1d[0]} syn_pad_type {LVCMOS33}
	# NET "t1d<0>" LOC = "l25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[10]} xc_loc {f24}
define_attribute {p:t1d[10]} syn_pad_type {LVCMOS33}
	# NET "t1d<10>" LOC = "f24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[11]} xc_loc {h22}
define_attribute {p:t1d[11]} syn_pad_type {LVCMOS33}
	# NET "t1d<11>" LOC = "h22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[12]} xc_loc {h21}
define_attribute {p:t1d[12]} syn_pad_type {LVCMOS33}
	# NET "t1d<12>" LOC = "h21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[13]} xc_loc {j23}
define_attribute {p:t1d[13]} syn_pad_type {LVCMOS33}
	# NET "t1d<13>" LOC = "j23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[14]} xc_loc {j24}
define_attribute {p:t1d[14]} syn_pad_type {LVCMOS33}
	# NET "t1d<14>" LOC = "j24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[15]} xc_loc {j22}
define_attribute {p:t1d[15]} syn_pad_type {LVCMOS33}
	# NET "t1d<15>" LOC = "j22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[1]} xc_loc {l26}
define_attribute {p:t1d[1]} syn_pad_type {LVCMOS33}
	# NET "t1d<1>" LOC = "l26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[2]} xc_loc {f21}
define_attribute {p:t1d[2]} syn_pad_type {LVCMOS33}
	# NET "t1d<2>" LOC = "f21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[3]} xc_loc {f23}
define_attribute {p:t1d[3]} syn_pad_type {LVCMOS33}
	# NET "t1d<3>" LOC = "f23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[4]} xc_loc {f22}
define_attribute {p:t1d[4]} syn_pad_type {LVCMOS33}
	# NET "t1d<4>" LOC = "f22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[5]} xc_loc {h20}
define_attribute {p:t1d[5]} syn_pad_type {LVCMOS33}
	# NET "t1d<5>" LOC = "h20" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[6]} xc_loc {g21}
define_attribute {p:t1d[6]} syn_pad_type {LVCMOS33}
	# NET "t1d<6>" LOC = "g21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[7]} xc_loc {e23}
define_attribute {p:t1d[7]} syn_pad_type {LVCMOS33}
	# NET "t1d<7>" LOC = "e23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[8]} xc_loc {g22}
define_attribute {p:t1d[8]} syn_pad_type {LVCMOS33}
	# NET "t1d<8>" LOC = "g22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1d[9]} xc_loc {g23}
define_attribute {p:t1d[9]} syn_pad_type {LVCMOS33}
	# NET "t1d<9>" LOC = "g23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1p[0]} xc_loc {f25}
define_attribute {p:t1p[0]} syn_pad_type {LVCMOS33}
	# NET "t1p<0>" LOC = "f25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1p[1]} xc_loc {g25}
define_attribute {p:t1p[1]} syn_pad_type {LVCMOS33}
	# NET "t1p<1>" LOC = "g25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1p[2]} xc_loc {f26}
define_attribute {p:t1p[2]} syn_pad_type {LVCMOS33}
	# NET "t1p<2>" LOC = "f26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1p[3]} xc_loc {g26}
define_attribute {p:t1p[3]} syn_pad_type {LVCMOS33}
	# NET "t1p<3>" LOC = "g26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1pck} xc_loc {e26}
define_attribute {p:t1pck} syn_pad_type {LVCMOS33}
	# NET "t1pck" LOC = "e26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1rd} xc_loc {j26}
define_attribute {p:t1rd} syn_pad_type {LVCMOS33}
	# NET "t1rd" LOC = "j26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1sa} xc_loc {m25}
define_attribute {p:t1sa} syn_pad_type {LVCMOS33}
	# NET "t1sa" LOC = "m25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1val} xc_loc {g24}
define_attribute {p:t1val} syn_pad_type {LVCMOS33}
	# NET "t1val" LOC = "g24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t1wr} xc_loc {k26}
define_attribute {p:t1wr} syn_pad_type {LVCMOS33}
	# NET "t1wr" LOC = "k26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2a[0]} xc_loc {f4}
define_attribute {p:t2a[0]} syn_pad_type {LVCMOS33}
	# NET "t2a<0>" LOC = "f4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2a[1]} xc_loc {h7}
define_attribute {p:t2a[1]} syn_pad_type {LVCMOS33}
	# NET "t2a<1>" LOC = "h7" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2a[2]} xc_loc {f2}
define_attribute {p:t2a[2]} syn_pad_type {LVCMOS33}
	# NET "t2a<2>" LOC = "f2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2a[3]} xc_loc {g1}
define_attribute {p:t2a[3]} syn_pad_type {LVCMOS33}
	# NET "t2a<3>" LOC = "g1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2a[4]} xc_loc {f1}
define_attribute {p:t2a[4]} syn_pad_type {LVCMOS33}
	# NET "t2a<4>" LOC = "f1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[0]} xc_loc {h2}
define_attribute {p:t2c[0]} syn_pad_type {LVCMOS33}
	# NET "t2c<0>" LOC = "h2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[1]} xc_loc {h5}
define_attribute {p:t2c[1]} syn_pad_type {LVCMOS33}
	# NET "t2c<1>" LOC = "h5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[2]} xc_loc {g2}
define_attribute {p:t2c[2]} syn_pad_type {LVCMOS33}
	# NET "t2c<2>" LOC = "g2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[3]} xc_loc {g5}
define_attribute {p:t2c[3]} syn_pad_type {LVCMOS33}
	# NET "t2c<3>" LOC = "g5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[4]} xc_loc {g4}
define_attribute {p:t2c[4]} syn_pad_type {LVCMOS33}
	# NET "t2c<4>" LOC = "g4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[5]} xc_loc {h6}
define_attribute {p:t2c[5]} syn_pad_type {LVCMOS33}
	# NET "t2c<5>" LOC = "h6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[6]} xc_loc {f3}
define_attribute {p:t2c[6]} syn_pad_type {LVCMOS33}
	# NET "t2c<6>" LOC = "f3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2c[7]} xc_loc {e2}
define_attribute {p:t2c[7]} syn_pad_type {LVCMOS33}
	# NET "t2c<7>" LOC = "e2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2clk} xc_loc {g3}
define_attribute {p:t2clk} syn_pad_type {LVCMOS33}
	# NET "t2clk" LOC = "g3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[0]} xc_loc {g6}
define_attribute {p:t2d[0]} syn_pad_type {LVCMOS33}
	# NET "t2d<0>" LOC = "g6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[10]} xc_loc {l3}
define_attribute {p:t2d[10]} syn_pad_type {LVCMOS33}
	# NET "t2d<10>" LOC = "l3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[11]} xc_loc {k5}
define_attribute {p:t2d[11]} syn_pad_type {LVCMOS33}
	# NET "t2d<11>" LOC = "k5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[12]} xc_loc {k4}
define_attribute {p:t2d[12]} syn_pad_type {LVCMOS33}
	# NET "t2d<12>" LOC = "k4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[13]} xc_loc {j4}
define_attribute {p:t2d[13]} syn_pad_type {LVCMOS33}
	# NET "t2d<13>" LOC = "j4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[14]} xc_loc {j3}
define_attribute {p:t2d[14]} syn_pad_type {LVCMOS33}
	# NET "t2d<14>" LOC = "j3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[15]} xc_loc {j5}
define_attribute {p:t2d[15]} syn_pad_type {LVCMOS33}
	# NET "t2d<15>" LOC = "j5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[1]} xc_loc {d2}
define_attribute {p:t2d[1]} syn_pad_type {LVCMOS33}
	# NET "t2d<1>" LOC = "d2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[2]} xc_loc {n5}
define_attribute {p:t2d[2]} syn_pad_type {LVCMOS33}
	# NET "t2d<2>" LOC = "n5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[3]} xc_loc {m5}
define_attribute {p:t2d[3]} syn_pad_type {LVCMOS33}
	# NET "t2d<3>" LOC = "m5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[4]} xc_loc {m4}
define_attribute {p:t2d[4]} syn_pad_type {LVCMOS33}
	# NET "t2d<4>" LOC = "m4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[5]} xc_loc {n4}
define_attribute {p:t2d[5]} syn_pad_type {LVCMOS33}
	# NET "t2d<5>" LOC = "n4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[6]} xc_loc {m6}
define_attribute {p:t2d[6]} syn_pad_type {LVCMOS33}
	# NET "t2d<6>" LOC = "m6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[7]} xc_loc {n3}
define_attribute {p:t2d[7]} syn_pad_type {LVCMOS33}
	# NET "t2d<7>" LOC = "n3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[8]} xc_loc {l5}
define_attribute {p:t2d[8]} syn_pad_type {LVCMOS33}
	# NET "t2d<8>" LOC = "l5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2d[9]} xc_loc {l6}
define_attribute {p:t2d[9]} syn_pad_type {LVCMOS33}
	# NET "t2d<9>" LOC = "l6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2p[0]} xc_loc {k2}
define_attribute {p:t2p[0]} syn_pad_type {LVCMOS33}
	# NET "t2p<0>" LOC = "k2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2p[1]} xc_loc {j2}
define_attribute {p:t2p[1]} syn_pad_type {LVCMOS33}
	# NET "t2p<1>" LOC = "j2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2p[2]} xc_loc {j1}
define_attribute {p:t2p[2]} syn_pad_type {LVCMOS33}
	# NET "t2p<2>" LOC = "j1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2p[3]} xc_loc {h1}
define_attribute {p:t2p[3]} syn_pad_type {LVCMOS33}
	# NET "t2p<3>" LOC = "h1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2pck} xc_loc {k1}
define_attribute {p:t2pck} syn_pad_type {LVCMOS33}
	# NET "t2pck" LOC = "k1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2rd} xc_loc {e1}
define_attribute {p:t2rd} syn_pad_type {LVCMOS33}
	# NET "t2rd" LOC = "e1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2sa} xc_loc {f5}
define_attribute {p:t2sa} syn_pad_type {LVCMOS33}
	# NET "t2sa" LOC = "f5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2val} xc_loc {k3}
define_attribute {p:t2val} syn_pad_type {LVCMOS33}
	# NET "t2val" LOC = "k3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t2wr} xc_loc {d1}
define_attribute {p:t2wr} syn_pad_type {LVCMOS33}
	# NET "t2wr" LOC = "d1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3a[0]} xc_loc {aa22}
define_attribute {p:t3a[0]} syn_pad_type {LVCMOS33}
	# NET "t3a<0>" LOC = "aa22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3a[1]} xc_loc {aa24}
define_attribute {p:t3a[1]} syn_pad_type {LVCMOS33}
	# NET "t3a<1>" LOC = "aa24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3a[2]} xc_loc {aa26}
define_attribute {p:t3a[2]} syn_pad_type {LVCMOS33}
	# NET "t3a<2>" LOC = "aa26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3a[3]} xc_loc {ab25}
define_attribute {p:t3a[3]} syn_pad_type {LVCMOS33}
	# NET "t3a<3>" LOC = "ab25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3a[4]} xc_loc {ac24}
define_attribute {p:t3a[4]} syn_pad_type {LVCMOS33}
	# NET "t3a<4>" LOC = "ac24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[0]} xc_loc {w25}
define_attribute {p:t3c[0]} syn_pad_type {LVCMOS33}
	# NET "t3c<0>" LOC = "w25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[1]} xc_loc {w22}
define_attribute {p:t3c[1]} syn_pad_type {LVCMOS33}
	# NET "t3c<1>" LOC = "w22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[2]} xc_loc {y24}
define_attribute {p:t3c[2]} syn_pad_type {LVCMOS33}
	# NET "t3c<2>" LOC = "y24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[3]} xc_loc {y22}
define_attribute {p:t3c[3]} syn_pad_type {LVCMOS33}
	# NET "t3c<3>" LOC = "y22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[4]} xc_loc {y23}
define_attribute {p:t3c[4]} syn_pad_type {LVCMOS33}
	# NET "t3c<4>" LOC = "y23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[5]} xc_loc {y26}
define_attribute {p:t3c[5]} syn_pad_type {LVCMOS33}
	# NET "t3c<5>" LOC = "y26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[6]} xc_loc {aa23}
define_attribute {p:t3c[6]} syn_pad_type {LVCMOS33}
	# NET "t3c<6>" LOC = "aa23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3c[7]} xc_loc {y25}
define_attribute {p:t3c[7]} syn_pad_type {LVCMOS33}
	# NET "t3c<7>" LOC = "y25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3clk} xc_loc {aa25}
define_attribute {p:t3clk} syn_pad_type {LVCMOS33}
	# NET "t3clk" LOC = "aa25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[0]} xc_loc {ad25}
define_attribute {p:t3d[0]} syn_pad_type {LVCMOS33}
	# NET "t3d<0>" LOC = "ad25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[10]} xc_loc {t24}
define_attribute {p:t3d[10]} syn_pad_type {LVCMOS33}
	# NET "t3d<10>" LOC = "t24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[11]} xc_loc {u22}
define_attribute {p:t3d[11]} syn_pad_type {LVCMOS33}
	# NET "t3d<11>" LOC = "u22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[12]} xc_loc {u23}
define_attribute {p:t3d[12]} syn_pad_type {LVCMOS33}
	# NET "t3d<12>" LOC = "u23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[13]} xc_loc {v23}
define_attribute {p:t3d[13]} syn_pad_type {LVCMOS33}
	# NET "t3d<13>" LOC = "v23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[14]} xc_loc {v24}
define_attribute {p:t3d[14]} syn_pad_type {LVCMOS33}
	# NET "t3d<14>" LOC = "v24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[15]} xc_loc {v22}
define_attribute {p:t3d[15]} syn_pad_type {LVCMOS33}
	# NET "t3d<15>" LOC = "v22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[1]} xc_loc {ab23}
define_attribute {p:t3d[1]} syn_pad_type {LVCMOS33}
	# NET "t3d<1>" LOC = "ab23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[2]} xc_loc {p22}
define_attribute {p:t3d[2]} syn_pad_type {LVCMOS33}
	# NET "t3d<2>" LOC = "p22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[3]} xc_loc {r22}
define_attribute {p:t3d[3]} syn_pad_type {LVCMOS33}
	# NET "t3d<3>" LOC = "r22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[4]} xc_loc {r23}
define_attribute {p:t3d[4]} syn_pad_type {LVCMOS33}
	# NET "t3d<4>" LOC = "r23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[5]} xc_loc {p23}
define_attribute {p:t3d[5]} syn_pad_type {LVCMOS33}
	# NET "t3d<5>" LOC = "p23" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[6]} xc_loc {r21}
define_attribute {p:t3d[6]} syn_pad_type {LVCMOS33}
	# NET "t3d<6>" LOC = "r21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[7]} xc_loc {p24}
define_attribute {p:t3d[7]} syn_pad_type {LVCMOS33}
	# NET "t3d<7>" LOC = "p24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[8]} xc_loc {t22}
define_attribute {p:t3d[8]} syn_pad_type {LVCMOS33}
	# NET "t3d<8>" LOC = "t22" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3d[9]} xc_loc {t21}
define_attribute {p:t3d[9]} syn_pad_type {LVCMOS33}
	# NET "t3d<9>" LOC = "t21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3p[0]} xc_loc {u25}
define_attribute {p:t3p[0]} syn_pad_type {LVCMOS33}
	# NET "t3p<0>" LOC = "u25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3p[1]} xc_loc {v25}
define_attribute {p:t3p[1]} syn_pad_type {LVCMOS33}
	# NET "t3p<1>" LOC = "v25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3p[2]} xc_loc {v26}
define_attribute {p:t3p[2]} syn_pad_type {LVCMOS33}
	# NET "t3p<2>" LOC = "v26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3p[3]} xc_loc {w26}
define_attribute {p:t3p[3]} syn_pad_type {LVCMOS33}
	# NET "t3p<3>" LOC = "w26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3pck} xc_loc {u26}
define_attribute {p:t3pck} syn_pad_type {LVCMOS33}
	# NET "t3pck" LOC = "u26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3rd} xc_loc {ab26}
define_attribute {p:t3rd} syn_pad_type {LVCMOS33}
	# NET "t3rd" LOC = "ab26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3sa} xc_loc {ae26}
define_attribute {p:t3sa} syn_pad_type {LVCMOS33}
	# NET "t3sa" LOC = "ae26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3val} xc_loc {u24}
define_attribute {p:t3val} syn_pad_type {LVCMOS33}
	# NET "t3val" LOC = "u24" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t3wr} xc_loc {ac26}
define_attribute {p:t3wr} syn_pad_type {LVCMOS33}
	# NET "t3wr" LOC = "ac26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4a[0]} xc_loc {p3}
define_attribute {p:t4a[0]} syn_pad_type {LVCMOS33}
	# NET "t4a<0>" LOC = "p3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4a[1]} xc_loc {p4}
define_attribute {p:t4a[1]} syn_pad_type {LVCMOS33}
	# NET "t4a<1>" LOC = "p4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4a[2]} xc_loc {w2}
define_attribute {p:t4a[2]} syn_pad_type {LVCMOS33}
	# NET "t4a<2>" LOC = "w2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4a[3]} xc_loc {v2}
define_attribute {p:t4a[3]} syn_pad_type {LVCMOS33}
	# NET "t4a<3>" LOC = "v2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4a[4]} xc_loc {w1}
define_attribute {p:t4a[4]} syn_pad_type {LVCMOS33}
	# NET "t4a<4>" LOC = "w1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[0]} xc_loc {u4}
define_attribute {p:t4c[0]} syn_pad_type {LVCMOS33}
	# NET "t4c<0>" LOC = "u4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[1]} xc_loc {u5}
define_attribute {p:t4c[1]} syn_pad_type {LVCMOS33}
	# NET "t4c<1>" LOC = "u5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[2]} xc_loc {u3}
define_attribute {p:t4c[2]} syn_pad_type {LVCMOS33}
	# NET "t4c<2>" LOC = "u3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[3]} xc_loc {t5}
define_attribute {p:t4c[3]} syn_pad_type {LVCMOS33}
	# NET "t4c<3>" LOC = "t5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[4]} xc_loc {t6}
define_attribute {p:t4c[4]} syn_pad_type {LVCMOS33}
	# NET "t4c<4>" LOC = "t6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[5]} xc_loc {r5}
define_attribute {p:t4c[5]} syn_pad_type {LVCMOS33}
	# NET "t4c<5>" LOC = "r5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[6]} xc_loc {r4}
define_attribute {p:t4c[6]} syn_pad_type {LVCMOS33}
	# NET "t4c<6>" LOC = "r4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4c[7]} xc_loc {p5}
define_attribute {p:t4c[7]} syn_pad_type {LVCMOS33}
	# NET "t4c<7>" LOC = "p5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4clk} xc_loc {t3}
define_attribute {p:t4clk} syn_pad_type {LVCMOS33}
	# NET "t4clk" LOC = "t3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[0]} xc_loc {r2}
define_attribute {p:t4d[0]} syn_pad_type {LVCMOS33}
	# NET "t4d<0>" LOC = "r2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[10]} xc_loc {y3}
define_attribute {p:t4d[10]} syn_pad_type {LVCMOS33}
	# NET "t4d<10>" LOC = "y3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[11]} xc_loc {w5}
define_attribute {p:t4d[11]} syn_pad_type {LVCMOS33}
	# NET "t4d<11>" LOC = "w5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[12]} xc_loc {v6}
define_attribute {p:t4d[12]} syn_pad_type {LVCMOS33}
	# NET "t4d<12>" LOC = "v6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[13]} xc_loc {v4}
define_attribute {p:t4d[13]} syn_pad_type {LVCMOS33}
	# NET "t4d<13>" LOC = "v4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[14]} xc_loc {v3}
define_attribute {p:t4d[14]} syn_pad_type {LVCMOS33}
	# NET "t4d<14>" LOC = "v3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[15]} xc_loc {v5}
define_attribute {p:t4d[15]} syn_pad_type {LVCMOS33}
	# NET "t4d<15>" LOC = "v5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[1]} xc_loc {t1}
define_attribute {p:t4d[1]} syn_pad_type {LVCMOS33}
	# NET "t4d<1>" LOC = "t1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[2]} xc_loc {aa5}
define_attribute {p:t4d[2]} syn_pad_type {LVCMOS33}
	# NET "t4d<2>" LOC = "aa5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[3]} xc_loc {w6}
define_attribute {p:t4d[3]} syn_pad_type {LVCMOS33}
	# NET "t4d<3>" LOC = "w6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[4]} xc_loc {aa4}
define_attribute {p:t4d[4]} syn_pad_type {LVCMOS33}
	# NET "t4d<4>" LOC = "aa4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[5]} xc_loc {ab4}
define_attribute {p:t4d[5]} syn_pad_type {LVCMOS33}
	# NET "t4d<5>" LOC = "ab4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[6]} xc_loc {aa3}
define_attribute {p:t4d[6]} syn_pad_type {LVCMOS33}
	# NET "t4d<6>" LOC = "aa3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[7]} xc_loc {ac3}
define_attribute {p:t4d[7]} syn_pad_type {LVCMOS33}
	# NET "t4d<7>" LOC = "ac3" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[8]} xc_loc {y5}
define_attribute {p:t4d[8]} syn_pad_type {LVCMOS33}
	# NET "t4d<8>" LOC = "y5" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4d[9]} xc_loc {y4}
define_attribute {p:t4d[9]} syn_pad_type {LVCMOS33}
	# NET "t4d<9>" LOC = "y4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4p[0]} xc_loc {aa2}
define_attribute {p:t4p[0]} syn_pad_type {LVCMOS33}
	# NET "t4p<0>" LOC = "aa2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4p[1]} xc_loc {y2}
define_attribute {p:t4p[1]} syn_pad_type {LVCMOS33}
	# NET "t4p<1>" LOC = "y2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4p[2]} xc_loc {aa1}
define_attribute {p:t4p[2]} syn_pad_type {LVCMOS33}
	# NET "t4p<2>" LOC = "aa1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4p[3]} xc_loc {y1}
define_attribute {p:t4p[3]} syn_pad_type {LVCMOS33}
	# NET "t4p<3>" LOC = "y1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4pck} xc_loc {ab1}
define_attribute {p:t4pck} syn_pad_type {LVCMOS33}
	# NET "t4pck" LOC = "ab1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4rd} xc_loc {v1}
define_attribute {p:t4rd} syn_pad_type {LVCMOS33}
	# NET "t4rd" LOC = "v1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4sa} xc_loc {t2}
define_attribute {p:t4sa} syn_pad_type {LVCMOS33}
	# NET "t4sa" LOC = "t2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4val} xc_loc {y6}
define_attribute {p:t4val} syn_pad_type {LVCMOS33}
	# NET "t4val" LOC = "y6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t4wr} xc_loc {u1}
define_attribute {p:t4wr} syn_pad_type {LVCMOS33}
	# NET "t4wr" LOC = "u1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5clk} xc_loc {m21}
define_attribute {p:t5clk} syn_pad_type {LVCMOS33}
	# NET "t5clk" LOC = "m21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5p[0]} xc_loc {c26}
define_attribute {p:t5p[0]} syn_pad_type {LVCMOS33}
	# NET "t5p<0>" LOC = "c26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5p[1]} xc_loc {d26}
define_attribute {p:t5p[1]} syn_pad_type {LVCMOS33}
	# NET "t5p<1>" LOC = "d26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5p[2]} xc_loc {d25}
define_attribute {p:t5p[2]} syn_pad_type {LVCMOS33}
	# NET "t5p<2>" LOC = "d25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5p[3]} xc_loc {e25}
define_attribute {p:t5p[3]} syn_pad_type {LVCMOS33}
	# NET "t5p<3>" LOC = "e25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5pck} xc_loc {c25}
define_attribute {p:t5pck} syn_pad_type {LVCMOS33}
	# NET "t5pck" LOC = "c25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5rd} xc_loc {m26}
define_attribute {p:t5rd} syn_pad_type {LVCMOS33}
	# NET "t5rd" LOC = "m26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t5wr} xc_loc {n25}
define_attribute {p:t5wr} syn_pad_type {LVCMOS33}
	# NET "t5wr" LOC = "n25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6clk} xc_loc {e4}
define_attribute {p:t6clk} syn_pad_type {LVCMOS33}
	# NET "t6clk" LOC = "e4" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6p[0]} xc_loc {m1}
define_attribute {p:t6p[0]} syn_pad_type {LVCMOS33}
	# NET "t6p<0>" LOC = "m1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6p[1]} xc_loc {l1}
define_attribute {p:t6p[1]} syn_pad_type {LVCMOS33}
	# NET "t6p<1>" LOC = "l1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6p[2]} xc_loc {m2}
define_attribute {p:t6p[2]} syn_pad_type {LVCMOS33}
	# NET "t6p<2>" LOC = "m2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6p[3]} xc_loc {l2}
define_attribute {p:t6p[3]} syn_pad_type {LVCMOS33}
	# NET "t6p<3>" LOC = "l2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6pck} xc_loc {n2}
define_attribute {p:t6pck} syn_pad_type {LVCMOS33}
	# NET "t6pck" LOC = "n2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6rd} xc_loc {c1}
define_attribute {p:t6rd} syn_pad_type {LVCMOS33}
	# NET "t6rd" LOC = "c1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t6wr} xc_loc {c2}
define_attribute {p:t6wr} syn_pad_type {LVCMOS33}
	# NET "t6wr" LOC = "c2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7clk} xc_loc {y21}
define_attribute {p:t7clk} syn_pad_type {LVCMOS33}
	# NET "t7clk" LOC = "y21" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7p[0]} xc_loc {r26}
define_attribute {p:t7p[0]} syn_pad_type {LVCMOS33}
	# NET "t7p<0>" LOC = "r26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7p[1]} xc_loc {t26}
define_attribute {p:t7p[1]} syn_pad_type {LVCMOS33}
	# NET "t7p<1>" LOC = "t26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7p[2]} xc_loc {r25}
define_attribute {p:t7p[2]} syn_pad_type {LVCMOS33}
	# NET "t7p<2>" LOC = "r25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7p[3]} xc_loc {t25}
define_attribute {p:t7p[3]} syn_pad_type {LVCMOS33}
	# NET "t7p<3>" LOC = "t25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7pck} xc_loc {p25}
define_attribute {p:t7pck} syn_pad_type {LVCMOS33}
	# NET "t7pck" LOC = "p25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7rd} xc_loc {ac25}
define_attribute {p:t7rd} syn_pad_type {LVCMOS33}
	# NET "t7rd" LOC = "ac25" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t7wr} xc_loc {ad26}
define_attribute {p:t7wr} syn_pad_type {LVCMOS33}
	# NET "t7wr" LOC = "ad26" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8clk} xc_loc {r6}
define_attribute {p:t8clk} syn_pad_type {LVCMOS33}
	# NET "t8clk" LOC = "r6" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8p[0]} xc_loc {ad1}
define_attribute {p:t8p[0]} syn_pad_type {LVCMOS33}
	# NET "t8p<0>" LOC = "ad1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8p[1]} xc_loc {ac1}
define_attribute {p:t8p[1]} syn_pad_type {LVCMOS33}
	# NET "t8p<1>" LOC = "ac1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8p[2]} xc_loc {ac2}
define_attribute {p:t8p[2]} syn_pad_type {LVCMOS33}
	# NET "t8p<2>" LOC = "ac2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8p[3]} xc_loc {ab2}
define_attribute {p:t8p[3]} syn_pad_type {LVCMOS33}
	# NET "t8p<3>" LOC = "ab2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8pck} xc_loc {ad2}
define_attribute {p:t8pck} syn_pad_type {LVCMOS33}
	# NET "t8pck" LOC = "ad2" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8rd} xc_loc {r1}
define_attribute {p:t8rd} syn_pad_type {LVCMOS33}
	# NET "t8rd" LOC = "r1" | IOSTANDARD = LVCMOS33 ;

define_attribute {b:t8wr} xc_loc {p2}
define_attribute {p:t8wr} syn_pad_type {LVCMOS33}
	# NET "t8wr" LOC = "p2" | IOSTANDARD = LVCMOS33 ;

define_attribute {i:tia.rama} LOC {RAMB16_X5Y10}
	# INST "tia/rama" LOC = "RAMB16_X5Y10" ;

define_attribute {i:tib.rama} LOC {RAMB16_X5Y11}
	# INST "tib/rama" LOC = "RAMB16_X5Y11" ;

define_attribute {i:tic.rama} LOC {RAMB16_X4Y9}
	# INST "tic/rama" LOC = "RAMB16_X4Y9" ;

define_attribute {i:tpa.ram} LOC {RAMB16_X6Y9}
	# INST "tpa/ram" LOC = "RAMB16_X6Y9" ;

define_attribute {i:tpb.ram} LOC {RAMB16_X6Y12}
	# INST "tpb/ram" LOC = "RAMB16_X6Y12" ;

define_attribute {b:vin[0]} xc_loc {e6}
	# NET "vin<0>" LOC = "e6" ;

define_attribute {b:vin[1]} xc_loc {d7}
	# NET "vin<1>" LOC = "d7" ;

define_attribute {b:vin[2]} xc_loc {d9}
	# NET "vin<2>" LOC = "d9" ;

define_attribute {b:vin[3]} xc_loc {e10}
	# NET "vin<3>" LOC = "e10" ;

define_attribute {b:vin[4]} xc_loc {c15}
	# NET "vin<4>" LOC = "c15" ;

define_attribute {b:vin[5]} xc_loc {e16}
	# NET "vin<5>" LOC = "e16" ;

define_attribute {b:vin[6]} xc_loc {c18}
	# NET "vin<6>" LOC = "c18" ;

define_attribute {b:vin[7]} xc_loc {d21}
	# NET "vin<7>" LOC = "d21" ;

define_attribute {b:vinc} xc_loc {c13}
	# NET "vinc" LOC = "c13" ;

define_attribute {b:vip[0]} xc_loc {d6}
	# NET "vip<0>" LOC = "d6" ;

define_attribute {b:vip[1]} xc_loc {c7}
	# NET "vip<1>" LOC = "c7" ;

define_attribute {b:vip[2]} xc_loc {c9}
	# NET "vip<2>" LOC = "c9" ;

define_attribute {b:vip[3]} xc_loc {e11}
	# NET "vip<3>" LOC = "e11" ;

define_attribute {b:vip[4]} xc_loc {d15}
	# NET "vip<4>" LOC = "d15" ;

define_attribute {b:vip[5]} xc_loc {e17}
	# NET "vip<5>" LOC = "e17" ;

define_attribute {b:vip[6]} xc_loc {d18}
	# NET "vip<6>" LOC = "d18" ;

define_attribute {b:vip[7]} xc_loc {e21}
	# NET "vip<7>" LOC = "e21" ;

define_attribute {b:vipc} xc_loc {b13}
	# NET "vipc" LOC = "b13" ;

define_attribute {b:von[0]} xc_loc {e5}
	# NET "von<0>" LOC = "e5" ;

define_attribute {b:von[1]} xc_loc {b8}
	# NET "von<1>" LOC = "b8" ;

define_attribute {b:von[2]} xc_loc {d10}
	# NET "von<2>" LOC = "d10" ;

define_attribute {b:von[3]} xc_loc {d12}
	# NET "von<3>" LOC = "d12" ;

define_attribute {b:von[4]} xc_loc {c17}
	# NET "von<4>" LOC = "c17" ;

define_attribute {b:von[5]} xc_loc {a19}
	# NET "von<5>" LOC = "a19" ;

define_attribute {b:von[6]} xc_loc {c20}
	# NET "von<6>" LOC = "c20" ;

define_attribute {b:von[7]} xc_loc {d22}
	# NET "von<7>" LOC = "d22" ;

define_attribute {b:vonc} xc_loc {b14}
	# NET "vonc" LOC = "b14" ;

define_attribute {b:vop[0]} xc_loc {d5}
	# NET "vop<0>" LOC = "d5" ;

define_attribute {b:vop[1]} xc_loc {a8}
	# NET "vop<1>" LOC = "a8" ;

define_attribute {b:vop[2]} xc_loc {c10}
	# NET "vop<2>" LOC = "c10" ;

define_attribute {b:vop[3]} xc_loc {c12}
	# NET "vop<3>" LOC = "c12" ;

define_attribute {b:vop[4]} xc_loc {d17}
	# NET "vop<4>" LOC = "d17" ;

define_attribute {b:vop[5]} xc_loc {b19}
	# NET "vop<5>" LOC = "b19" ;

define_attribute {b:vop[6]} xc_loc {d20}
	# NET "vop<6>" LOC = "d20" ;

define_attribute {b:vop[7]} xc_loc {e22}
	# NET "vop<7>" LOC = "e22" ;

define_attribute {b:vopc} xc_loc {c14}
	# NET "vopc" LOC = "c14" ;

define_attribute {i:hi.fa.bif.dps.genblk28\.dp\[0\]\.inst.genblk31\.c9x18\.ram} LOC {RAMB16_X6Y19}
	# INST hi/fa/bif/dps/genblk28.dp[0].inst/genblk31.c9x18.ram LOC = "RAMB16_X6Y19" ;

define_attribute {i:hi.fa.bif.dps.genblk28\.dp\[1\]\.inst.genblk31\.c9x18\.ram} LOC {RAMB16_X5Y19}
	# INST hi/fa/bif/dps/genblk28.dp[1].inst/genblk31.c9x18.ram LOC = "RAMB16_X5Y19" ;

define_attribute {i:hi.fb.bif.dps.genblk28\.dp\[0\]\.inst.genblk31\.c9x18\.ram} LOC {RAMB16_X6Y18}
	# INST hi/fb/bif/dps/genblk28.dp[0].inst/genblk31.c9x18.ram LOC = "RAMB16_X6Y18" ;

define_attribute {i:hi.fb.bif.dps.genblk28\.dp\[1\]\.inst.genblk31\.c9x18\.ram} LOC {RAMB16_X5Y18}
	# INST hi/fb/bif/dps/genblk28.dp[1].inst/genblk31.c9x18.ram LOC = "RAMB16_X5Y18" ;

define_attribute {i:ho.fab.bif.dps.genblk28\.dp\[0\]\.inst.genblk31\.c18x9\.ram} LOC {RAMB16_X6Y21}
	# INST ho/fab/bif/dps/genblk28.dp[0].inst/genblk31.c18x9.ram LOC = "RAMB16_X6Y21" ;

define_attribute {i:ho.fab.bif.dps.genblk28\.dp\[1\]\.inst.genblk31\.c18x9\.ram} LOC {RAMB16_X6Y20}
	# INST ho/fab/bif/dps/genblk28.dp[1].inst/genblk31.c18x9.ram LOC = "RAMB16_X6Y20" ;

define_attribute {i:ho.fc.bif.dps.genblk28\.dp\[0\]\.inst.genblk31\.c18x9\.ram} LOC {RAMB16_X5Y20}
	# INST ho/fc/bif/dps/genblk28.dp[0].inst/genblk31.c18x9.ram LOC = "RAMB16_X5Y20" ;

define_attribute {b:x1} xc_loc {e13}
	# NET "x1" LOC = "e13" ;

define_attribute {b:x2n} xc_loc {D14}
	# NET "x2n" LOC = "D14" ;

define_attribute {b:x2p} xc_loc {e14}
	# NET "x2p" LOC = "e14" ;

##PACE: Start of PACE Area Constraints
	# INST "bsif" AREA_GROUP = "AG_bsif" ;

	# INST "dmac" AREA_GROUP = "AG_dmac" ;

	# INST "dmac/mihx" AREA_GROUP = "AG_dmac/mihx" ;

	# INST "hi" AREA_GROUP = "AG_hi" ;

	# INST "hi/fa" AREA_GROUP = "AG_hia" ;

	# INST "hi/fb" AREA_GROUP = "AG_hib" ;

	# INST "ho" AREA_GROUP = "AG_ho" ;

	# INST "mb" AREA_GROUP = "AG_mb" ;

	# INST "sc/trp/fex" AREA_GROUP = "AG_mb" ;

	# INST "sc/trp/rex" AREA_GROUP = "AG_mb" ;

	# INST "tb1" AREA_GROUP = "AG_tb1" ;

	# INST "tb1/tfx" AREA_GROUP = "AG_tb1/tfx" ;

	# INST "tb1/tfy" AREA_GROUP = "AG_tb1/tfy" ;

	# INST "tb2" AREA_GROUP = "AG_tb2" ;

	# INST "tb2/tfx" AREA_GROUP = "AG_tb2/tfx" ;

	# INST "tb2/tfy" AREA_GROUP = "AG_tb2/tfy" ;

	# INST "tb3" AREA_GROUP = "AG_tb3" ;

	# INST "tb3/tfx" AREA_GROUP = "AG_tb3/tfx" ;

	# INST "tb3/tfy" AREA_GROUP = "AG_tb3/tfy" ;

	# INST "tb4" AREA_GROUP = "AG_tb4" ;

	# INST "tb4/tfx" AREA_GROUP = "AG_tb4/tfx" ;

	# INST "tb4/tfy" AREA_GROUP = "AG_tb4/tfy" ;

	# INST "tctl" AREA_GROUP = "AG_tctl" ;

	# INST "tia" AREA_GROUP = "AG_tia" ;

	# INST "tib" AREA_GROUP = "AG_tib" ;

	# INST "tic" AREA_GROUP = "AG_tic" ;

	# INST "tpa" AREA_GROUP = "AG_tpa" ;

	# INST "tpb" AREA_GROUP = "AG_tpb" ;

##PACE: Start of PACE Prohibit Constraints
##PACE: End of Constraints generated by PACE

define_attribute {i:bsif} xc_area_group {SLICE_X84Y71:SLICE_X89Y66}
	# AREA_GROUP "AG_bsif" RANGE = SLICE_X84Y71:SLICE_X89Y66 ;

define_attribute {i:dmac} xc_area_group {SLICE_X72Y111:SLICE_X83Y72}
	# AREA_GROUP "AG_dmac" RANGE = SLICE_X72Y111:SLICE_X83Y72 ;

define_attribute {i:dmac.mihx} xc_area_group {SLICE_X64Y71:SLICE_X83Y68}
	# AREA_GROUP "AG_dmac/mihx" RANGE = SLICE_X64Y71:SLICE_X83Y68 ;

define_attribute {i:hi} xc_area_group {SLICE_X40Y173:SLICE_X71Y168}
	# AREA_GROUP "AG_hi" RANGE = SLICE_X40Y173:SLICE_X71Y168 ;

define_attribute {i:hi.fa} xc_area_group {SLICE_X72Y159:SLICE_X75Y152}
	# AREA_GROUP "AG_hia" RANGE = SLICE_X72Y159:SLICE_X75Y152 ;

define_attribute {i:hi.fb} xc_area_group {SLICE_X72Y151:SLICE_X75Y144}
	# AREA_GROUP "AG_hib" RANGE = SLICE_X72Y151:SLICE_X75Y144 ;

define_attribute {i:ho} xc_area_group {SLICE_X40Y175:SLICE_X71Y170}
	# AREA_GROUP "AG_ho" RANGE = SLICE_X40Y175:SLICE_X71Y170 ;

define_attribute {i:mb} xc_area_group {SLICE_X28Y5:SLICE_X87Y0}
define_attribute {i:sc.trp.fex} xc_area_group {SLICE_X28Y5:SLICE_X87Y0}
define_attribute {i:sc.trp.rex} xc_area_group {SLICE_X28Y5:SLICE_X87Y0}
	# AREA_GROUP "AG_mb" RANGE = SLICE_X28Y5:SLICE_X87Y0 ;

define_attribute {i:tb1} xc_area_group {SLICE_X56Y83:SLICE_X63Y80}
	# AREA_GROUP "AG_tb1" RANGE = SLICE_X56Y83:SLICE_X63Y80 ;

define_attribute {i:tb1.tfx} xc_area_group {SLICE_X56Y79:SLICE_X59Y72}
	# AREA_GROUP "AG_tb1/tfx" RANGE = SLICE_X56Y79:SLICE_X59Y72 ;

define_attribute {i:tb1.tfy} xc_area_group {SLICE_X60Y79:SLICE_X63Y72}
	# AREA_GROUP "AG_tb1/tfy" RANGE = SLICE_X60Y79:SLICE_X63Y72 ;

define_attribute {i:tb2} xc_area_group {SLICE_X56Y95:SLICE_X63Y92}
	# AREA_GROUP "AG_tb2" RANGE = SLICE_X56Y95:SLICE_X63Y92 ;

define_attribute {i:tb2.tfx} xc_area_group {SLICE_X56Y103:SLICE_X59Y96}
	# AREA_GROUP "AG_tb2/tfx" RANGE = SLICE_X56Y103:SLICE_X59Y96 ;

define_attribute {i:tb2.tfy} xc_area_group {SLICE_X60Y103:SLICE_X63Y96}
	# AREA_GROUP "AG_tb2/tfy" RANGE = SLICE_X60Y103:SLICE_X63Y96 ;

define_attribute {i:tb3} xc_area_group {SLICE_X56Y87:SLICE_X63Y84}
	# AREA_GROUP "AG_tb3" RANGE = SLICE_X56Y87:SLICE_X63Y84 ;

define_attribute {i:tb3.tfx} xc_area_group {SLICE_X52Y87:SLICE_X55Y80}
	# AREA_GROUP "AG_tb3/tfx" RANGE = SLICE_X52Y87:SLICE_X55Y80 ;

define_attribute {i:tb3.tfy} xc_area_group {SLICE_X52Y79:SLICE_X55Y72}
	# AREA_GROUP "AG_tb3/tfy" RANGE = SLICE_X52Y79:SLICE_X55Y72 ;

define_attribute {i:tb4} xc_area_group {SLICE_X56Y91:SLICE_X63Y88}
	# AREA_GROUP "AG_tb4" RANGE = SLICE_X56Y91:SLICE_X63Y88 ;

define_attribute {i:tb4.tfx} xc_area_group {SLICE_X52Y95:SLICE_X55Y88}
	# AREA_GROUP "AG_tb4/tfx" RANGE = SLICE_X52Y95:SLICE_X55Y88 ;

define_attribute {i:tb4.tfy} xc_area_group {SLICE_X52Y103:SLICE_X55Y96}
	# AREA_GROUP "AG_tb4/tfy" RANGE = SLICE_X52Y103:SLICE_X55Y96 ;

define_attribute {i:tctl} xc_area_group {SLICE_X48Y95:SLICE_X51Y80}
	# AREA_GROUP "AG_tctl" RANGE = SLICE_X48Y95:SLICE_X51Y80 ;

define_attribute {i:tia} xc_area_group {SLICE_X64Y87:SLICE_X71Y80}
	# AREA_GROUP "AG_tia" RANGE = SLICE_X64Y87:SLICE_X71Y80 ;

define_attribute {i:tib} xc_area_group {SLICE_X64Y95:SLICE_X71Y88}
	# AREA_GROUP "AG_tib" RANGE = SLICE_X64Y95:SLICE_X71Y88 ;

define_attribute {i:tic} xc_area_group {SLICE_X48Y79:SLICE_X51Y72}
	# AREA_GROUP "AG_tic" RANGE = SLICE_X48Y79:SLICE_X51Y72 ;

define_attribute {i:tpa} xc_area_group {SLICE_X64Y79:SLICE_X71Y72}
	# AREA_GROUP "AG_tpa" RANGE = SLICE_X64Y79:SLICE_X71Y72 ;

define_attribute {i:tpb} xc_area_group {SLICE_X64Y103:SLICE_X71Y96}
	# AREA_GROUP "AG_tpb" RANGE = SLICE_X64Y103:SLICE_X71Y96 ;


#WARNING# timing spec TS_vipc is not supported since it is not on a clock net.
#UNSUPPORTED# TIMESPEC "TS_vipc" = PERIOD "vipc" 280 MHz HIGH 50 %;

#WARNING# Constraint on net saddr* not translated, failed to convert to pins which match RTL. 
#UNSUPPORTED# NET "saddr*" TIG;

#WARNING# Constraint on net sdbus* not translated, failed to convert to pins which match RTL. 
#UNSUPPORTED# NET "sdbus*" TIG;

# 
# UCF to SDC Translation Completed with Error(s)
# 
