`include "mdefs.h"
module
ddsengine
(
z1
,
z2
,
z3
,
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
);
parameter
z20
=
1
;
parameter
z21
=
64
;
parameter
z22
=
32
;
parameter
z23
=
32
;
parameter
z24
=
16
;
input
z1
;
input
z2
;
input
z3
;
input
z5
;
input
z7
;
input
[
31
:
0
]
z4
;
input
[
31
:
0
]
z6
;
output
[
31
:
0
]
z8
;
output
z9
;
input
z10
;
output
z11
;
input
z12
;
input
[
7
:
0
]
z13
;
input
[
z21
-
1
:
0
]
z14
;
output
z15
;
input
z16
;
output
[
7
:
0
]
z17
;
output
[
z21
-
1
:
0
]
z18
;
output
[
7
:
0
]
z19
;
assign
z9
=
1
;
swrstat
#
(
"DDS"
)
z25
(
z1
,
z3
,
z5
,
z4
,
z6
,
z8
);
wire
[
11
:
0
]
z26
;
swrbank
#
(
0
,
12
)
z27
(
z1
,
z3
,
z5
,
z4
,
z26
);
wire
z28
=
z26
[
0
];
wire
z29
=
z26
[
6
];
wire
z30
=
z26
[
8
];
reg
[
31
:
0
]
z31
;
always
@(
posedge
z1
)
begin
if
(
z28
)
z31
<=
z6
;
end
wire
z32
=
z2
||
!
z31
[
0
];
wire
[
3
:
0
]
z33
=
z31
[
11
:
8
];
wire
[
3
:
0
]
z34
=
z31
[
15
:
12
];
reg
z35
,
z36
,
z37
;
wire
z38
,
z39
,
z40
;
wire
[
z23
-
1
:
0
]
z41
,
z42
;
always
@(
posedge
z10
)
z35
<=
z12
;
always
@(
posedge
z1
)
z36
<=
z38
&&
z39
;
always
@(
posedge
z1
)
z37
<=
z36
;
fifoNxMfmt
#
(
z21
,
z23
)
z43
(
z10
,
z32
,
z33
,
z11
,
z35
,
z14
,
z1
,
z32
,
4'h8
,
z38
,
z36
,
z41
);
cxtuner
#
(
z23
/
2
,
z24
,
z23
/
2
)
z44
(
z1
,
z32
,
z29
,
z30
,
z6
,
z37
,
z41
,
z40
,
z42
);
fifoNxMfmti
#
(
z21
,
z23
)
z45
(
z10
,
z32
,
z34
,
z15
,
z16
,
z18
,
z1
,
z32
,
4'h8
,
z39
,
z40
,
z42
);
assign
z19
=
{
z16
,
z15
,
z12
,
z11
,
z31
[
3
:
0
]};
endmodule
module
cxtuner
(
z46
,
z47
,
z48
,
z49
,
z50
,
z51
,
z52
,
z53
,
z54
);
parameter
z21
=
16
;
parameter
z24
=
16
;
parameter
z55
=
16
;
parameter
z56
=
1
;
parameter
z57
=
1
;
localparam
z58
=
6
;
localparam
z59
=
z21
+
z24
;
localparam
z60
=
z59
-
z55
-
1
;
localparam
z61
=(
z60
>
z58
)?
z58
:
z60
;
input
z46
,
z47
;
input
[
z57
-
1
:
0
]
z48
,
z49
;
input
[
31
:
0
]
z50
;
input
[
1
:
0
]
z51
;
input
[
z57
*
2
*
z21
-
1
:
0
]
z52
;
output
z53
;
output
[
z57
*
2
*
z55
-
1
:
0
]
z54
;
wire
z62
=
0
,
z63
=
1
;
wire
z64
=
z51
[
0
];
wire
z65
=
z51
[
1
];
wire
z66
=
(
z57
>
1
&&
!
z65
);
delaypipe
#
(
4
)
z67
(
z46
,
z64
,
z53
);
wire
z68
;
ff
#
(
1
)
z69
(
z68
,
z47
||
(
z66
&&
z49
[
z57
-
1
]),
z46
);
genvar
z70
;
generate
for
(
z70
=
0
;
z70
<
z57
;
z70
=
z70
+
1
)
begin
:
z71
wire
signed
[
z24
-
1
:
0
]
z72
,
z73
;
dds
#
(
z24
,
z56
)
z74
(
z46
,
z68
,
z48
[
z70
],
z49
[
z70
],
z50
,
z51
,
z73
,
z72
);
reg
signed
[
z21
-
1
:
0
]
z75
,
z76
;
reg
signed
[
z59
-
1
:
0
]
z77
,
z78
,
z79
,
z80
,
z69
,
z81
;
always
@(
posedge
z46
)
begin
z75
<=
z52
[(
1
+
z70
*
2
)*
z21
-
1
:(
0
+
z70
*
2
)*
z21
];
z76
<=
z52
[(
2
+
z70
*
2
)*
z21
-
1
:(
1
+
z70
*
2
)*
z21
];
z77
<=
(
z75
*
z72
);
z78
<=
(
z75
*
z73
);
z79
<=
(
z76
*
z72
);
z80
<=
(
z76
*
z73
);
z69
<=
(
z77
-
z80
);
z81
<=
(
z78
+
z79
);
end
roundN2M
#
(
z55
+
z61
,
z55
)
z82
(
z69
[
z59
-
2
:
z59
-
z55
-
1
-
z61
],
z54
[(
1
+
z70
*
2
)*
z55
-
1
:(
0
+
z70
*
2
)*
z55
],
z46
);
roundN2M
#
(
z55
+
z61
,
z55
)
z83
(
z81
[
z59
-
2
:
z59
-
z55
-
1
-
z61
],
z54
[(
2
+
z70
*
2
)*
z55
-
1
:(
1
+
z70
*
2
)*
z55
],
z46
);
end
endgenerate
endmodule
module
dds
(
z46
,
z84
,
z85
,
z86
,
z87
,
z88
,
z89
,
z90
);
parameter
z91
=
16
;
parameter
z56
=
1
;
parameter
z92
=
1
;
`ifdef DDS_HIRES
parameter
z93
=
20
;
`else
parameter
z93
=
14
;
`endif
localparam
z94
=
14
;
localparam
z95
=
32
;
localparam
z96
=
z95
-
z93
;
localparam
z97
=
26
;
localparam
z98
=
(
z93
>
z94
)?
5
:
4
;
input
z46
,
z84
,
z85
,
z86
;
input
[
z95
-
1
:
0
]
z87
;
input
[
1
:
0
]
z88
;
output
signed
[
z91
-
1
:
0
]
z89
,
z90
;
wire
z99
=
z88
[
0
];
wire
z65
=
(
z56
>
1
)
&&
z88
[
1
];
reg
signed
[
z91
-
1
:
0
]
z89
,
z90
;
reg
[
z95
-
1
:
0
]
z100
,
z101
,
z102
;
reg
[
z95
-
1
:
0
]
z103
,
z104
;
reg
[
z95
-
1
:
0
]
z105
;
wire
z106
=
z85
;
wire
z107
=
z86
;
reg
[
z97
-
1
:
0
]
z108
;
reg
[
2
:
0
]
z109
;
reg
[
1
:
0
]
z110
,
z111
,
z112
;
reg
z113
,
z114
,
z115
,
z116
;
wire
z117
=
z116
&&
(
z56
==
1
||
!
z115
);
wire
z118
=
z116
&&
(
z56
>
1
&&
z115
);
wire
[
z95
-
1
:
0
]
z119
=
(
z56
>
1
&&
z115
)?
z103
:
z100
;
always
@(
posedge
z46
)
begin
z113
<=
z84
;
z114
<=
z84
&&
(
z107
||
z106
||
!
z113
);
z116
<=
(
z99
&&
!
z84
)
||
(
z109
!=
0
&&
!
z114
);
if
(
z107
)
z105
<=
z87
;
if
(
z106
)
z101
<=
z87
;
if
(
z106
)
z104
<=
z101
;
if
(
z114
)
z109
<=
z98
;
else
if
(
z109
!=
0
)
z109
<=
z109
-
1
;
if
(
z114
)
z100
<=
0
;
else
if
(
z117
)
z100
<=
z100
+
z101
;
if
(
z114
)
z103
<=
0
;
else
if
(
z118
)
z103
<=
z103
+
z104
;
if
(
z114
)
z108
<=
1
;
else
if
(
z116
)
z108
<=
{
z108
[
24
:
0
],
z108
[
0
]^
z108
[
1
]^
z108
[
5
]^
z108
[
25
]};
if
(
z114
)
z115
<=
0
;
else
if
(
z116
)
z115
<=
z65
^
z115
;
if
(
z116
)
z102
<=
z119
+
{
z105
[
z95
-
1
:
z96
],
z92
?
z108
[
z97
-
1
:
z97
-
z96
]
:
z105
[
z96
-
1
:
0
]};
if
(
z116
)
z110
<=
z102
[
z95
-
1
:
z95
-
2
];
if
(
z116
)
z111
<=
z110
;
if
(
z116
)
z112
<=
z111
;
end
wire
[
z94
-
3
:
0
]
z120
=
z102
[
z95
-
3
:
z95
-
z94
];
wire
[
z94
-
3
:
0
]
z121
=
~
z120
;
wire
signed
[
z91
-
1
:
0
]
z122
,
z123
;
sinlut
#
(
z94
-
2
,
z91
)
z124
(
z46
,
z116
,
z120
,
z122
,
z121
,
z123
);
wire
signed
[
z91
-
1
:
0
]
z125
,
z126
;
generate
if
(
z93
>
z94
)
begin
assign
z125
=
z122
;
assign
z126
=
z123
;
end
if
(
z93
<=
z94
)
begin
assign
z125
=
z122
;
assign
z126
=
z123
;
end
endgenerate
wire
[
1
:
0
]
z127
=
(
z98
==
5
)?
z112
:
(
z98
==
4
)?
z111
:
z110
;
always
@(
posedge
z46
)
begin
if
(
z116
)
case
(
z127
)
0
:
z89
<=
z125
;
1
:
z89
<=
z126
;
2
:
z89
<=
-
z125
;
3
:
z89
<=
-
z126
;
endcase
if
(
z116
)
case
(
z127
)
0
:
z90
<=
z126
;
1
:
z90
<=
-
z125
;
2
:
z90
<=
-
z126
;
3
:
z90
<=
z125
;
endcase
end
endmodule
module
sinlut
(
z46
,
z99
,
z128
,
z129
,
z130
,
z131
);
parameter
z132
=
12
;
parameter
z91
=
16
;
parameter
z96
=
(
2
**
z132
);
input
z46
,
z99
;
input
[
z132
-
1
:
0
]
z128
,
z130
;
output
[
z91
-
1
:
0
]
z129
,
z131
;
`ifdef verilator
reg
[
z91
-
1
:
0
]
z122
,
z123
;
wire
[
z91
-
1
:
0
]
ram
[
z96
-
1
:
0
];
`include "../lib/sinlut.hv"
always
@(
posedge
z46
)
begin
if
(
z99
)
z122
<=
ram
[
z128
];
if
(
z99
)
z123
<=
ram
[
z130
];
end
`else
wire
[
z91
-
1
:
0
]
z122
,
z123
;
dpram_4096x16x16
sinlut
(
z46
,
z99
,
z128
,
1'b0
,
16'b0
,
z122
,
z46
,
z99
,
z130
,
1'b0
,
16'b0
,
z123
);
`endif
reg
[
z91
-
1
:
0
]
z129
,
z131
;
always
@(
posedge
z46
)
begin
if
(
z99
)
z129
<=
z122
;
if
(
z99
)
z131
<=
z123
;
end
endmodule
module
z133
(
z46
,
z99
,
z128
,
z129
,
z130
,
z131
);
parameter
z132
=
20
;
parameter
z91
=
16
;
parameter
z93
=
10
;
parameter
z95
=
z132
-
z93
;
parameter
z96
=
(
2
**
z93
);
parameter
z134
=
z91
+
z95
;
input
z46
,
z99
;
input
[
z132
-
1
:
0
]
z128
,
z130
;
output
[
z91
-
1
:
0
]
z129
,
z131
;
wire
[
z93
-
1
:
0
]
z135
=
z128
[
z132
-
1
:
z95
];
wire
[
z93
-
1
:
0
]
z136
=
z130
[
z132
-
1
:
z95
];
`ifdef verilator
reg
[
z91
-
1
:
0
]
z125
,
z126
;
reg
[
z91
-
1
:
0
]
z137
,
z138
;
wire
[
z91
-
1
:
0
]
ramx
[
z96
-
1
:
0
];
`include "../lib/sinlutx.hv"
wire
[
z91
-
1
:
0
]
ramy
[
z96
-
1
:
0
];
`include "../lib/sinluty.hv"
always
@(
posedge
z46
)
begin
if
(
z99
)
z125
<=
ramx
[
z135
];
if
(
z99
)
z126
<=
ramx
[
z136
];
if
(
z99
)
z137
<=
ramy
[
z135
];
if
(
z99
)
z138
<=
ramy
[
z136
];
end
`else
wire
[
z91
-
1
:
0
]
z125
,
z126
;
dpram
#
(
1
,
16
,
16
)
z133
(
z46
,
z99
,
z135
,
1'b0
,
16'b0
,
z125
,
z46
,
z99
,
z136
,
1'b0
,
16'b0
,
z126
);
`include "../lib/sinlutx.hx"
wire
[
z91
-
1
:
0
]
z137
,
z138
;
dpram
#
(
1
,
16
,
16
)
z139
(
z46
,
z99
,
z135
,
1'b0
,
16'b0
,
z137
,
z46
,
z99
,
z136
,
1'b0
,
16'b0
,
z138
);
`include "../lib/sinluty.hx"
`endif
reg
[
z91
-
1
:
0
]
z140
,
z141
;
reg
[
z91
-
1
:
0
]
z142
,
z143
;
reg
[
z95
-
1
:
0
]
z144
,
z145
;
wire
[
z134
-
1
:
0
]
z146
=
z137
*
z144
;
wire
[
z134
-
1
:
0
]
z147
=
z138
*
z145
;
always
@(
posedge
z46
)
begin
if
(
z99
)
z144
<=
z128
[
z95
-
1
:
0
];
if
(
z99
)
z145
<=
z130
[
z95
-
1
:
0
];
if
(
z99
)
z142
<=
z146
[
z134
-
1
:
z134
-
z91
];
if
(
z99
)
z143
<=
z147
[
z134
-
1
:
z134
-
z91
];
if
(
z99
)
z140
<=
z125
;
if
(
z99
)
z141
<=
z126
;
end
assign
z129
=
z140
+
z142
;
assign
z131
=
z141
+
z143
;
endmodule
