`ifndef FFT_ORDER
`define FFT_ORDER 12
`endif
`include "../lib/ramdefs.h"
module
fftengine
(
z1
,
z2
,
z3
,
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
);
parameter
z20
=
1
;
parameter
z21
=
64
;
parameter
z22
=
16
;
parameter
z23
=
18
;
parameter
z24
=
16
;
parameter
z25
=
32
;
parameter
z26
=
32
;
parameter
z27
=
`FFT_ORDER
;
parameter
z28
=
12
;
parameter
z29
=(
z27
>
12
)?
16
:
z24
;
input
z1
;
input
z2
;
input
z3
;
input
z5
;
input
z7
;
input
[
31
:
0
]
z4
;
input
[
31
:
0
]
z6
;
output
[
31
:
0
]
z8
;
output
z9
;
input
z10
;
output
z11
;
input
z12
;
input
[
7
:
0
]
z13
;
input
[
z21
-
1
:
0
]
z14
;
output
z15
;
input
z16
;
output
[
7
:
0
]
z17
;
output
[
z21
-
1
:
0
]
z18
;
output
[
7
:
0
]
z19
;
wire
z30
=
0
,
z31
=
1
;
assign
z9
=
z31
;
assign
z17
=
0
;
wire
z32
,
z33
,
z34
,
z35
,
z36
,
z37
,
z38
,
z39
,
z40
;
wire
[
2
*
z22
-
1
:
0
]
z41
;
wire
[
2
*
z23
-
1
:
0
]
z42
;
wire
[
2
*
z25
-
1
:
0
]
z43
;
wire
[
z26
-
1
:
0
]
z44
,
z45
,
z46
,
z47
;
reg
z48
,
z49
,
z50
,
z51
;
reg
[
z27
-
1
:
0
]
z52
,
z53
;
reg
[
z28
-
1
:
0
]
z54
,
z55
,
z56
;
reg
[
31
:
0
]
z57
,
z58
;
reg
[
7
:
0
]
z59
,
z60
;
reg
[
15
:
0
]
z61
;
swrstat
#
(
"FFT"
,
z27
,
z28
)
z62
(
z1
,
z3
,
z5
,
z4
,
z6
,
z8
);
wire
[
11
:
0
]
z63
;
swrbank
#
(
0
,
12
)
z64
(
z1
,
z3
,
z5
,
z4
,
z63
);
wire
z65
=
z63
[
0
],
z66
=
z63
[
1
],
z67
=
z63
[
2
],
z68
=
z63
[
5
],
z69
=
z63
[
7
],
z70
=
z63
[
8
],
z71
=
z63
[
9
],
z72
=
z63
[
10
],
z73
=
z63
[
11
];
always
@(
posedge
z1
)
begin
z51
<=
z2
||
!
z57
[
0
];
if
(
z65
)
z57
<=
z6
;
if
(
z68
)
z52
<=
z6
[
z27
-
1
:
0
];
if
(
z68
)
z59
<=
z6
[
23
:
16
];
if
(
z71
)
z53
<=
z6
[
z27
-
1
:
0
];
if
(
z67
)
z61
<=
z6
[
15
:
0
];
if
(
z69
)
z58
<=
z6
;
if
(
z66
)
z60
<=
z6
[
23
:
16
];
if
(
z66
)
z54
<=
z6
[
z28
-
1
:
0
];
if
(
z72
)
z55
<=
z6
[
z28
-
1
:
0
];
if
(
z73
)
z56
<=
z6
[
z28
-
1
:
0
];
end
wire
[
3
:
0
]
z74
=
z57
[
11
:
8
];
wire
[
3
:
0
]
z75
=
z57
[
15
:
12
];
wire
z76
=
z58
[
0
];
wire
z77
=
z58
[
2
];
wire
z78
=
z58
[
5
];
wire
z79
=
z58
[
6
];
always
@(
posedge
z1
)
begin
z48
<=
z32
&&
z33
;
z49
<=
z48
;
end
always
@(
posedge
z10
)
z50
<=
z12
;
fifoNxMfmt
#
(
z21
,
2
*
z22
)
z80
(
z10
,
z51
,
z74
,
z11
,
z50
,
z14
,
z1
,
z51
,
4'h8
,
z32
,
z48
,
z41
);
`ifdef FFT_NOPPF
cwindow
#
(
z27
,
z22
,
z29
,
z23
)
z81
(
z1
,
z51
,
z52
,
z70
,
z6
,
z49
,
z41
,
z35
,
z42
);
`else
fppfilter
#
(
2
,
z27
,
z22
,
z29
,
z23
)
z81
(
z1
,
z51
,
{
2
{
z78
}},
z52
,
z70
,
z6
,
z49
,
z41
,
z35
,
z42
);
`endif
cfft
#
(
z27
,
z23
,
z24
,
z25
)
z82
(
z1
,
z51
,
z76
,
z59
,
z53
,
z61
,
z33
,
z35
,
z42
,
z34
,
z36
,
z43
,
z19
);
z83
#
(
z25
,
z26
)
z84
(
z1
,
z51
,
z36
,
z43
,
z38
,
z45
);
z85
#
(
z27
,
z28
,
z26
,
z26
)
z86
(
z1
,
z51
,
z53
,
z54
,
z60
,
z38
,
z45
,
z39
,
z46
);
z87
#
(
z27
,
z28
,
z26
,
z26
)
z88
(
z1
,
z51
,
z53
,
z55
,
z39
,
z46
,
z37
,
z44
);
fifoNxMfmti
#
(
z21
,
2
*
z26
)
z89
(
z10
,
z51
,
z75
,
z15
,
z16
,
z18
,
z1
,
z51
,
4'hC
,
z34
,
z77
?
z37
:
z36
,
z77
?{
z44
,
z44
}:
z43
);
endmodule
module
cwindow
(
z90
,
z2
,
z91
,
z92
,
z93
,
z94
,
z95
,
z96
,
z97
);
parameter
z27
=
10
;
parameter
z21
=
16
;
parameter
z24
=
16
;
parameter
z98
=
16
;
parameter
z99
=
z21
+
z24
-
1
;
parameter
z100
=(
2
**
z27
)*
2
/
1024
;
input
z90
,
z2
;
input
[
z27
-
1
:
0
]
z91
;
input
z92
;
input
[
31
:
0
]
z93
;
input
z94
;
input
[
2
*
z21
-
1
:
0
]
z95
;
output
z96
;
output
[
2
*
z98
-
1
:
0
]
z97
;
wire
z30
=
0
,
z31
=
1
;
reg
[
z27
-
1
:
0
]
z101
;
wire
signed
[
z24
-
1
:
0
]
z102
;
sdpram
#
(
z100
,
z24
,
z24
)
z103
(
z90
,
z31
,
z93
[
z27
-
1
:
0
],
z92
,
z93
[
32
-
1
:
32
-
z24
],
z90
,
z31
,
z101
,
z102
);
reg
z104
,
z105
;
reg
signed
[
z21
-
1
:
0
]
z106
,
z107
;
reg
signed
[
z99
-
1
:
0
]
z108
,
z109
;
wire
z110
=
z2
||
((
z101
==
z91
)
&&
z94
);
always
@(
posedge
z90
)
begin
if
(
z110
)
z101
<=
0
;
else
if
(
z94
)
z101
<=
z101
+
1
;
z106
<=
z95
[
z21
-
1
:
0
];
z107
<=
z95
[
2
*
z21
-
1
:
z21
];
z108
<=
z106
*
z102
;
z109
<=
z107
*
z102
;
z104
<=
z94
;
z105
<=
z104
;
end
assign
z96
=
z105
;
assign
z97
=
{
z109
[
z99
-
1
:
z99
-
z98
],
z108
[
z99
-
1
:
z99
-
z98
]};
endmodule
module
z83
(
z90
,
z2
,
z94
,
z95
,
z96
,
z97
);
parameter
z21
=
16
;
parameter
z98
=
16
;
parameter
z111
=
36
;
input
z90
,
z2
;
input
z94
;
input
[
2
*
z21
-
1
:
0
]
z95
;
output
z96
;
output
[
z98
-
1
:
0
]
z97
;
wire
z30
=
0
,
z31
=
1
;
reg
z112
;
reg
[
z21
-
1
:
0
]
z106
,
z107
;
reg
[
z21
-
1
:
0
]
z113
,
z114
,
z115
,
z116
,
z117
;
wire
z118
=
(
z106
>
z107
);
always
@(
posedge
z90
)
begin
z106
<=
(
z95
[
z21
-
1
])?
~
z95
[
z21
-
1
:
0
]
:
z95
[
z21
-
1
:
0
];
z107
<=
(
z95
[
2
*
z21
-
1
])?
~
z95
[
2
*
z21
-
1
:
z21
]
:
z95
[
2
*
z21
-
1
:
z21
];
z113
<=
z118
?
z106
:
z107
;
z114
<=
z118
?
z107
:
z106
;
z115
<=
z114
;
z112
<=
z113
>
(
z114
[
z21
-
1
:
1
]
+
z114
[
z21
-
1
:
2
]);
z116
<=
z113
+
z114
[
z21
-
1
:
2
];
z117
<=
z112
?
z116
+
z115
[
z21
-
1
:
3
]
:
z116
;
end
wire
[
z21
-
2
:
0
]
z119
=
z117
[
z21
-
1
]?
~
0
:
z117
[
z21
-
2
:
0
];
delaypipe
#
(
4
)
z120
(
z90
,
z94
,
z96
);
assign
z97
=
z119
;
endmodule
module
z85
(
z90
,
z2
,
z91
,
z54
,
z60
,
z94
,
z95
,
z96
,
z97
);
parameter
z27
=
10
;
parameter
z28
=
8
;
parameter
z21
=
16
;
parameter
z98
=
16
;
parameter
z111
=
36
;
parameter
z121
=
2
**(
(
z27
<=
10
)?
0
:
z27
-
10
);
parameter
z100
=(
2
**
z27
)*
4
/
1024
;
input
z90
,
z2
;
input
[
z27
-
1
:
0
]
z91
;
input
[
z28
-
1
:
0
]
z54
;
input
[
3
:
0
]
z60
;
input
z94
;
input
[
z21
-
1
:
0
]
z95
;
output
z96
;
output
[
z98
-
1
:
0
]
z97
;
wire
z30
=
0
,
z31
=
1
;
reg
[
z27
-
1
:
0
]
z101
;
reg
[
z28
-
1
:
0
]
z122
;
reg
[
z111
-
1
:
0
]
z107
,
z123
,
z124
;
wire
[
z111
-
1
:
0
]
z125
;
reg
z126
;
wire
z127
;
delaypipe
#
(
2
)
z120
(
z90
,
z94
,
z127
);
wire
[
z27
-
1
:
0
]
z128
;
delaypipe
#
(
2
,
1
,
z27
)
z129
(
z90
,
z101
,
z128
);
sdpram
#
(
z100
,
z111
,
z111
)
z103
(
z90
,
z31
,
z128
,
z127
,
z123
,
z90
,
z31
,
z101
,
z125
);
wire
z110
=
z2
||
((
z101
==
z91
)
&&
z94
);
wire
z130
=
z2
||
((
z122
==
z54
)
&&
z110
);
always
@(
posedge
z90
)
begin
if
(
z110
)
z101
<=
0
;
else
if
(
z94
)
z101
<=
z101
+
1
;
if
(
z130
)
z122
<=
0
;
else
if
(
z110
)
z122
<=
z122
+
1
;
z126
<=
(
z122
==
0
);
z107
<=
z95
;
z123
<=
z126
?
z107
:
z107
+
z125
;
z124
<=
z123
>>
z60
;
end
delaypipe
#
(
3
)
z131
(
z90
,
z94
&&
(
z122
==
z54
),
z96
);
assign
z97
=
z124
;
endmodule
module
z87
(
z90
,
z2
,
z91
,
z54
,
z94
,
z95
,
z96
,
z97
);
parameter
z27
=
10
;
parameter
z28
=
8
;
parameter
z21
=
16
;
parameter
z98
=
16
;
parameter
z111
=
36
;
parameter
z100
=(
2
**
z27
)*
4
/
1024
;
input
z90
,
z2
;
input
[
z27
-
1
:
0
]
z91
;
input
[
z28
-
1
:
0
]
z54
;
input
z94
;
input
[
z21
-
1
:
0
]
z95
;
output
z96
;
output
[
z98
-
1
:
0
]
z97
;
wire
z30
=
0
,
z31
=
1
;
reg
[
z27
-
1
:
0
]
z101
;
reg
[
z28
-
1
:
0
]
z122
;
reg
[
z111
-
1
:
0
]
z107
,
z123
;
wire
[
z111
-
1
:
0
]
z125
;
reg
z126
;
wire
z127
;
delaypipe
#
(
2
)
z120
(
z90
,
z94
,
z127
);
wire
[
z27
-
1
:
0
]
z128
;
delaypipe
#
(
2
,
1
,
z27
)
z129
(
z90
,
z101
,
z128
);
sdpram
#
(
z100
,
z111
,
z111
)
z103
(
z90
,
z31
,
z128
,
z127
,
z123
,
z90
,
z31
,
z101
,
z125
);
wire
z110
=
z2
||
((
z101
==
z91
)
&&
z94
);
wire
z130
=
z2
||
((
z122
==
z54
)
&&
z110
);
always
@(
posedge
z90
)
begin
if
(
z110
)
z101
<=
0
;
else
if
(
z94
)
z101
<=
z101
+
1
;
if
(
z130
)
z122
<=
0
;
else
if
(
z110
)
z122
<=
z122
+
1
;
z126
<=
(
z122
==
0
);
z107
<=
z95
;
z123
<=
(
z126
||
z107
>
z125
)?
z107
:
z125
;
end
delaypipe
#
(
2
)
z131
(
z90
,
z94
&&
(
z122
==
z54
),
z96
);
assign
z97
=
z123
;
endmodule
module
cfft
(
z90
,
z2
,
z76
,
z59
,
z91
,
z132
,
z133
,
z134
,
z95
,
z135
,
z96
,
z97
,
z19
);
parameter
z27
=
12
;
parameter
z21
=
16
;
parameter
z24
=
16
;
parameter
z98
=
z21
;
parameter
z136
=
1
;
parameter
z137
=
1
;
localparam
z138
=
z21
+
z24
+
9
;
localparam
z23
=
32
;
localparam
z139
=
z23
-
z21
;
localparam
z140
=(
z136
==
2
)?
z27
+
1
:
z27
;
localparam
z141
=(
2
**
z140
)*
4
/
1024
;
input
z90
,
z2
,
z76
;
input
[
7
:
0
]
z59
;
input
[
z27
-
1
:
0
]
z91
;
input
[
15
:
0
]
z132
;
output
z133
;
input
[
1
:
0
]
z134
;
input
[
z137
*
2
*
z21
-
1
:
0
]
z95
;
input
z135
;
output
reg
z96
;
output
reg
[
z137
*
2
*
z98
-
1
:
0
]
z97
;
output
[
7
:
0
]
z19
;
wire
z30
=
0
,
z31
=
1
;
wire
z142
,
z143
;
wire
z94
=
z134
[
0
];
wire
z144
=
z134
[
1
];
wire
z145
=
(
z136
>
1
)?
z134
[
1
]
:
(
z137
>
1
)?
!
z134
[
1
]
:
z30
;
wire
[
z137
*
2
*
z21
-
1
:
0
]
z146
,
z147
,
z148
;
wire
z149
;
generate
if
(
z136
>
1
)
begin
:
z150
reg
[
z27
:
0
]
z151
,
z152
;
reg
z153
,
z154
,
z155
;
wire
z156
=
((
z151
=={
z91
,
z31
})
&&
z94
)
||
z2
;
wire
z157
=
((
z152
==
z91
)
&&
z94
)
||
z2
;
always
@(
posedge
z90
)
begin
if
(
z156
)
z151
<=
0
;
else
if
(
z94
)
z151
<=
z151
+
1
;
if
(
z157
)
z152
<=
0
;
else
if
(
z94
)
z152
<=
z152
+
1
;
if
(
z2
)
z153
<=
z30
;
else
if
(
z157
)
z153
<=
z31
;
if
(
z2
)
z154
<=
z31
;
else
if
(
z157
)
z154
<=
!
z154
;
z155
<=
z153
&&
z94
;
end
sdpram
#
(
z141
,
2
*
z21
,
2
*
z21
,
`WFIRST
,
`WFIRST
)
z158
(
z90
,
z31
,
z151
,
z94
,
z95
,
z90
,
z31
,
{
z152
,
z154
},
z147
);
assign
z143
=
z155
;
end
if
(
z137
>
1
)
begin
:
z159
reg
[
z27
:
0
]
z151
,
z152
;
reg
z153
,
z154
,
z155
,
z160
;
wire
z156
=
((
z151
==
z91
[
z27
-
1
:
1
])
&&
z94
)
||
z2
;
wire
z157
=
((
z152
==
z91
)
&&
z155
)
||
z2
;
always
@(
posedge
z90
)
begin
if
(
z156
)
z151
<=
0
;
else
if
(
z94
)
z151
<=
z151
+
1
;
if
(
z2
)
z153
<=
z30
;
else
if
(
z156
)
z153
<=
z31
;
if
(
z2
)
z154
<=
z30
;
else
if
(
z156
)
z154
<=
!
z154
;
if
(
z157
)
z152
<=
0
;
else
if
(
z155
)
z152
<=
z152
+
1
;
z155
<=
z153
&&
z94
;
z160
<=
z155
;
end
wire
z161
;
wire
[
z27
:
0
]
z162
;
wire
[
4
*
z21
-
1
:
0
]
z163
;
delaypipe
#
(
4
,
1
,
4
*
z21
+
z27
+
1
+
1
)
z164
(
z90
,{
z94
&&!
z154
,
z151
,
z95
},{
z161
,
z162
,
z163
});
sdpram
#
(
z141
/
2
,
4
*
z21
,
2
*
z21
)
z165
(
z90
,
z31
,
z162
,
z161
,
z163
,
z90
,
z31
,
z152
,
z147
[
2
*
z21
-
1
:
0
*
z21
]);
sdpram
#
(
z141
/
2
,
4
*
z21
,
2
*
z21
)
z166
(
z90
,
z31
,
z151
,
z94
&&
z154
,
z95
,
z90
,
z31
,
z152
,
z147
[
4
*
z21
-
1
:
2
*
z21
]);
assign
z143
=
z160
;
end
endgenerate
reg
z167
,
z168
;
reg
[
4
:
0
]
z169
;
assign
z142
=
z145
?
z143
:
z94
;
assign
z146
=
z145
?
z147
:
z95
;
`ifdef verilator
wire
z170
=
z167
||
((
z169
!=
0
)
&&
(
z169
!=
5'h1F
)
&&
z133
);
`else
wire
z170
=
((
z169
!=
5'h1F
)
&&
z133
);
`endif
always
@(
posedge
z90
)
begin
if
(
z2
)
z169
<=
5'h1F
;
else
if
(
z142
&!
z170
)
z169
<=
z169
+
1
;
else
if
(
z170
&!
z142
)
z169
<=
z169
-
1
;
z167
<=
z170
&&
!
z167
;
z168
<=
z135
;
end
srlMxN
#
(
5
,
z137
*
2
*
z21
)
z171
(
z90
,
z142
,
z169
,
z146
,
z148
);
wire
z172
;
wire
[
z137
*
2
*
z98
-
1
:
0
]
z173
;
`ifdef verilator
reg
z174
,
z175
,
z176
;
reg
[
z27
+
7
:
0
]
z177
;
reg
[
z27
-
1
:
0
]
z178
;
reg
[
z27
:
0
]
z179
;
wire
[
z27
-
1
:
0
]
z180
=
1
<<(
z27
-
z59
);
wire
[
z27
-
1
:
0
]
z181
=
(
1
<<
z59
)-
1
;
wire
[
7
:
0
]
z182
=
z177
[
z27
+
7
:
z27
];
wire
[
z27
:
0
]
z183
=
{
z177
[
z27
],
z181
&
z178
[
z27
-
1
:
0
]};
always
@(
posedge
z90
)
begin
z174
<=
z170
;
z176
<=
z174
&&
(
z182
>
z59
||
z175
)
&&
(
z183
[
z27
-
1
:
0
]<=
z91
);
if
(
z2
)
z177
<=
0
;
else
if
(
z174
)
z177
<=
z177
+
z180
;
if
(
z2
)
z178
<=
0
;
else
if
(
z174
)
z178
<=
z178
+
1
;
if
(
z2
)
z175
<=
0
;
else
z175
<=
z176
||
z175
;
end
wire
[
z27
:
0
]
z184
;
delaypipe
#
(
4
,
1
,
z27
+
1
)
z185
(
z90
,
z183
,
z184
);
wire
[
z27
-
1
:
0
]
z186
;
z187
#
(
z27
)
z188
(
z183
,
z186
);
wire
z189
;
delaypipe
#
(
4
)
z190
(
z90
,
z174
,
z189
);
assign
z172
=
z176
;
assign
z133
=
z168
;
genvar
z191
,
z192
,
z193
,
z194
;
generate
for
(
z191
=
0
;
z191
<
z137
;
z191
=
z191
+
1
)
begin
:
z195
localparam
z194
=
z191
*
2
;
wire
[
z27
:
0
]
z196
[
z27
:
0
];
wire
[
2
*
z23
-
1
:
0
]
z197
[
z27
:
0
];
reg
signed
[
z23
-
1
:
0
]
z198
,
z199
;
always
@(
posedge
z90
)
begin
z198
<=
z148
[(
1
+
z194
)*
z21
-
1
:(
0
+
z194
)*
z21
]<<
z139
;
z199
<=
z148
[(
2
+
z194
)*
z21
-
1
:(
1
+
z194
)*
z21
]<<
z139
;
end
z200
#
(
z27
+
1
,
2
*
z23
)
z201
(
z90
,
z174
,
z177
,{
z199
,
z198
},
z196
[
0
],
z197
[
0
]);
for
(
z192
=
0
;
z192
<
z27
;
z192
=
z192
+
1
)
begin
:
z202
wire
[
z27
:
0
]
z203
=
(
z192
+
1
==
z59
)?
{!
z183
[
z27
],
z186
}
:
z196
[
z192
+
1
];
z204
#
(
z192
,
z27
,
z23
,
z24
)
z205
(
z90
,
z59
,
z76
,
z182
,
z174
,
z183
,
z196
[
z192
],
z197
[
z192
],
z189
,
z184
,
z203
,
z197
[
z192
+
1
]);
end
wire
signed
[
z23
-
1
:
0
]
z206
=
z197
[
z59
][
1
*
z23
-
1
:
0
*
z23
];
wire
signed
[
z23
-
1
:
0
]
z207
=
z197
[
z59
][
2
*
z23
-
1
:
1
*
z23
];
wire
signed
[
z23
-
1
:
0
]
z208
=
z206
<<
z132
;
wire
signed
[
z23
-
1
:
0
]
z209
=
z207
<<
z132
;
assign
z173
[(
1
+
z194
)*
z98
-
1
:(
0
+
z194
)*
z98
]
=
z208
[
z23
-
1
:
z23
-
z98
];
assign
z173
[(
2
+
z194
)*
z98
-
1
:(
1
+
z194
)*
z98
]
=
z209
[
z23
-
1
:
z23
-
z98
];
end
endgenerate
`else
wire
[
23
:
0
]
z210
=
{
z132
,!
z76
,
z59
};
genvar
z191
,
z192
,
z193
,
z194
;
generate
for
(
z191
=
0
;
z191
<
z137
;
z191
=
z191
+
1
)
begin
:
z195
localparam
z194
=
z191
*
2
;
wire
[
z27
-
1
:
0
]
z211
;
wire
signed
[
z23
-
1
:
0
]
z212
,
z213
,
z214
,
z215
;
assign
z212
=
{
z148
[(
1
+
z194
)*
z21
-
1
:(
0
+
z194
)*
z21
],{
z139
{
z30
}}};
assign
z213
=
{
z148
[(
2
+
z194
)*
z21
-
1
:(
1
+
z194
)*
z21
],{
z139
{
z30
}}};
wire
z216
,
z217
,
z218
,
z219
,
z220
;
wire
z221
,
z222
,
z223
,
z224
,
z225
,
z226
;
if
(
z27
<=
8
)
begin
:
z227
xfft_256
z228
(
z90
,!
z2
,
z210
,
z218
,
z218
,
{
z213
,
z212
},
z170
,
z217
,
z219
,
{
z215
,
z214
},
z211
,
z216
,
z168
,
z220
,
z221
,
z222
,
z223
,
z224
,
z225
,
z226
);
end
if
(
z27
>
8
&&
z27
<=
10
)
begin
:
z229
xfft_1k
z228
(
z90
,!
z2
,
z210
,
z218
,
z218
,
{
z213
,
z212
},
z170
,
z217
,
z219
,
{
z215
,
z214
},
z211
,
z216
,
z168
,
z220
,
z221
,
z222
,
z223
,
z224
,
z225
,
z226
);
end
if
(
z27
>
10
&&
z27
<=
12
)
begin
:
z230
xfft_4k
z228
(
z90
,!
z2
,
z210
,
z218
,
z218
,
{
z213
,
z212
},
z170
,
z217
,
z219
,
{
z215
,
z214
},
z211
,
z216
,
z168
,
z220
,
z221
,
z222
,
z223
,
z224
,
z225
,
z226
);
end
if
(
z27
>
12
&&
z27
<=
14
)
begin
:
z231
xfft_16k
z228
(
z90
,!
z2
,
z210
,
z218
,
z218
,
{
z213
,
z212
},
z170
,
z217
,
z219
,
{
z215
,
z214
},
z211
,
z216
,
z168
,
z220
,
z221
,
z222
,
z223
,
z224
,
z225
,
z226
);
end
if
(
z27
>
14
&&
z27
<=
16
)
begin
:
z232
xfft_64k
z228
(
z90
,!
z2
,
z210
,
z218
,
z218
,
{
z213
,
z212
},
z170
,
z217
,
z219
,
{
z215
,
z214
},
z211
,
z216
,
z168
,
z220
,
z221
,
z222
,
z223
,
z224
,
z225
,
z226
);
end
if
(
z191
==
0
)
assign
z172
=
z216
&&
z168
&&
(
z211
<=
z91
);
if
(
z191
==
0
)
assign
z133
=
z217
;
assign
z173
[(
1
+
z194
)*
z98
-
1
:(
0
+
z194
)*
z98
]
=
z214
[
z23
-
1
:
z23
-
z98
];
assign
z173
[(
2
+
z194
)*
z98
-
1
:(
1
+
z194
)*
z98
]
=
z215
[
z23
-
1
:
z23
-
z98
];
if
(
z191
==
0
)
assign
z19
=
{
z94
,
z133
,
z218
,
z168
,
z220
,
z221
,
z216
,
z170
};
end
endgenerate
`endif
wire
z233
;
wire
[
z137
*
2
*
z98
-
1
:
0
]
z234
;
generate
if
(
z136
>
1
)
begin
:
z235
reg
[
z27
:
0
]
z236
,
z237
;
reg
z238
,
z239
,
z240
;
wire
z241
=
((
z236
==
z91
)
&&
z172
)
||
z2
;
wire
z242
=
((
z237
=={
z91
,
z31
})
&&
z172
)
||
z2
||
!
z238
;
always
@(
posedge
z90
)
begin
if
(
z241
)
z236
<=
0
;
else
if
(
z172
)
z236
<=
z236
+
1
;
if
(
z242
)
z237
<=
0
;
else
if
(
z172
)
z237
<=
z237
+
1
;
if
(
z2
)
z238
<=
z30
;
else
if
(
z241
)
z238
<=
z31
;
if
(
z2
)
z239
<=
z30
;
else
if
(
z241
)
z239
<=
!
z239
;
z240
<=
z238
&&
z172
;
end
sdpram
#
(
z141
,
2
*
z98
,
2
*
z98
,
`WFIRST
,
`WFIRST
)
z243
(
z90
,
z31
,
{
z236
,
z239
},
z172
,
z173
,
z90
,
z31
,
z237
,
z234
);
assign
z233
=
z240
;
end
if
(
z137
>
1
)
begin
:
z244
reg
[
z27
:
0
]
z236
,
z237
;
reg
[
2
*
z98
-
1
:
0
]
z245
;
reg
z238
,
z239
,
z246
,
z240
,
z247
,
z248
,
z249
;
wire
z241
=
((
z236
==
z91
)
&&
z172
)
||
z2
;
wire
z250
=
((
z236
==
z91
[
z27
-
1
:
1
])
&&
z172
);
wire
z242
=
((
z237
==
z91
[
z27
-
1
:
1
])
&&
z240
)
||
z2
;
wire
[
4
*
z98
-
1
:
0
]
z251
,
z252
;
always
@(
posedge
z90
)
begin
if
(
z241
)
z236
<=
0
;
else
if
(
z172
)
z236
<=
z236
+
1
;
if
(
z242
)
z237
<=
0
;
else
if
(
z240
)
z237
<=
z237
+
1
;
if
(
z2
)
z238
<=
z30
;
else
if
(
z250
)
z238
<=
z31
;
if
(
z2
)
z239
<=
z30
;
else
if
(
z242
)
z239
<=
!
z239
;
z240
<=
z238
&&
z172
;
z247
<=
z240
;
z246
<=
z239
;
end
wire
z253
;
wire
[
z27
:
0
]
z254
;
wire
[
4
*
z98
-
1
:
0
]
z255
;
delaypipe
#
(
4
,
1
,
4
*
z98
+
z27
+
1
+
1
)
z164
(
z90
,{
z172
,
z236
,
z173
},{
z253
,
z254
,
z255
});
sdpram
#
(
z141
/
2
,
2
*
z98
,
4
*
z98
)
z256
(
z90
,
z31
,
z236
,
z172
,
z173
[
2
*
z98
-
1
:
0
*
z98
],
z90
,
z31
,
z237
,
z251
);
sdpram
#
(
z141
/
2
,
2
*
z98
,
4
*
z98
)
z257
(
z90
,
z31
,
z254
,
z253
,
z255
[
4
*
z98
-
1
:
2
*
z98
],
z90
,
z31
,
z237
,
z252
);
assign
z233
=
z247
;
assign
z234
=
z246
?
z252
:
z251
;
end
endgenerate
always
@(
posedge
z90
)
begin
z96
<=
z145
?
z233
:
z172
;
z97
<=
z145
?
z234
:
z173
;
end
endmodule
module
z204
(
z90
,
z59
,
z76
,
z182
,
z174
,
z183
,
z258
,
z95
,
z189
,
z184
,
z259
,
z97
);
parameter
z260
=
0
;
parameter
z27
=
8
;
parameter
z22
=
32
;
parameter
z24
=
16
;
parameter
z138
=
z22
+
z24
-
1
;
parameter
z261
=
z27
-
z260
;
parameter
z262
=(
z260
==
0
)?
1
:
z260
;
input
z90
,
z76
,
z174
,
z189
;
input
[
7
:
0
]
z59
,
z182
;
input
[
z27
:
0
]
z183
,
z184
,
z259
;
output
[
z27
:
0
]
z258
;
input
[
2
*
z22
-
1
:
0
]
z95
;
output
[
2
*
z22
-
1
:
0
]
z97
;
wire
z30
=
0
,
z31
=
1
;
wire
signed
[
z24
-
1
:
0
]
z263
,
z264
;
reg
signed
[
z22
-
1
:
0
]
z265
,
z266
;
reg
signed
[
z138
-
1
:
0
]
z267
,
z268
,
z269
,
z270
,
z271
,
z272
;
reg
signed
[
z22
-
1
:
0
]
z214
,
z215
;
wire
[
z27
-
1
:
0
]
z273
,
z274
,
z275
;
z276
#
(
z27
,
z260
)
z277
(
z183
,
z274
);
z276
#
(
z27
,
z260
)
z278
(
z184
,
z275
);
assign
z258
=
{!
z183
[
z27
],
z274
};
assign
z273
=
(
z260
==
0
)?
0
:
z183
[
z262
:
1
]<<(
z261
-
1
);
z279
#
(
z27
,
z24
)
z280
(
z90
,
z31
,
z76
,
z273
,
z264
,
z263
);
z200
#
(
z27
+
1
,
2
*
z22
)
ram
(
z90
,
z189
,
{
z184
[
z27
],
z275
},{
z215
,
z214
},
z259
,
z97
);
wire
signed
[
z22
-
1
:
0
]
z212
=
$signed
(
z95
[
z22
-
1
:
1
]);
wire
signed
[
z22
-
1
:
0
]
z213
=
$signed
(
z95
[
2
*
z22
-
1
:
z22
+
1
]);
wire
signed
[
z22
-
1
:
0
]
z281
=
z267
[
z138
-
1
:
z138
-
z22
];
wire
signed
[
z22
-
1
:
0
]
z282
=
z268
[
z138
-
1
:
z138
-
z22
];
wire
signed
[
z22
-
1
:
0
]
z283
=
z284
?
-
z281
:
z281
;
wire
signed
[
z22
-
1
:
0
]
z285
=
z284
?
-
z282
:
z282
;
reg
z286
,
z284
,
z287
;
always
@(
posedge
z90
)
begin
z286
<=
z174
&&
z183
[
0
];
z284
<=
z286
;
z287
<=
z284
;
z269
<=
z212
*
z263
;
z270
<=
z213
*
z263
;
z271
<=
z212
*
z264
;
z272
<=
z213
*
z264
;
if
(
z286
)
z265
<=
z212
;
if
(
z286
)
z266
<=
z213
;
if
(
z286
)
z267
<=
z269
-
z272
;
if
(
z286
)
z268
<=
z270
+
z271
;
z214
<=
z265
+
z283
;
z215
<=
z266
+
z285
;
end
endmodule
module
z187
(
z288
,
z289
);
parameter
z27
=
8
;
input
[
z27
-
1
:
0
]
z288
;
output
[
z27
-
1
:
0
]
z289
;
genvar
z192
;
generate
for
(
z192
=
0
;
z192
<
z27
;
z192
=
z192
+
1
)
begin
:
z290
assign
z289
[
z192
]
=
z288
[
z27
-
1
-
z192
];
end
endgenerate
endmodule
module
z276
(
z288
,
z289
);
parameter
z27
=
8
;
parameter
z260
=
8
;
input
[
z27
-
1
:
0
]
z288
;
output
[
z27
-
1
:
0
]
z289
;
wire
[
z27
-
1
:
0
]
z43
,
z44
;
assign
z43
=
z288
^
1
;
genvar
z192
;
generate
for
(
z192
=
0
;
z192
<
z27
;
z192
=
z192
+
1
)
begin
:
z290
assign
z44
[
z192
]
=
z43
[
(
z192
>
z260
)?
z192
:
(
z192
<
z260
)?
z192
+
1
:
0
];
assign
z289
[
z192
]
=
z44
[
z27
-
1
-
z192
];
end
endgenerate
endmodule
module
z200
(
z90
,
z291
,
z292
,
z199
,
z293
,
z294
);
parameter
z27
=
12
;
parameter
z22
=
8
;
parameter
z295
=
2
**
z27
;
input
z90
,
z291
;
input
[
z27
-
1
:
0
]
z292
,
z293
;
input
[
z22
-
1
:
0
]
z199
;
output
reg
[
z22
-
1
:
0
]
z294
;
reg
[
z22
-
1
:
0
]
ram
[
z295
-
1
:
0
];
always
@(
posedge
z90
)
begin
if
(
z291
)
ram
[
z292
]
<=
z199
;
z294
<=
ram
[
z293
];
end
endmodule
module
z279
(
z90
,
z296
,
z76
,
z183
,
z297
,
z298
);
parameter
z299
=
10
;
parameter
z300
=
16
;
parameter
z301
=
12
;
parameter
z295
=
(
2
**
z301
);
parameter
z261
=
(
z301
>
z299
)?
z301
-
z299
:
0
;
parameter
z302
=
(
z301
>
z299
)?
0
:
z299
-
z301
;
input
z90
,
z296
,
z76
;
input
[
z299
-
1
:
0
]
z183
;
output
[
z300
-
1
:
0
]
z297
,
z298
;
wire
z30
=
0
,
z31
=
1
;
wire
[
1
:
0
]
z303
=
z183
[
z299
-
1
:
z299
-
2
];
wire
[
1
:
0
]
z304
=
z303
^{!
z76
,
z30
};
wire
[
1
:
0
]
z305
=
z303
+
1
;
wire
[
z301
-
1
:
0
]
z306
=
{
z304
,
z183
[
z299
-
3
:
z302
],{
z261
{
z30
}}};
wire
[
z301
-
1
:
0
]
z307
=
{
z305
,
z183
[
z299
-
3
:
z302
],{
z261
{
z30
}}};
`ifdef verilator
wire
[
31
:
0
]
ram
[
z295
-
1
:
0
];
`include "../lib/twiddle.hv"
reg
signed
[
z300
-
1
:
0
]
z297
,
z298
;
always
@(
posedge
z90
)
begin
if
(
z296
)
z297
<=
ram
[
z306
][
32
-
1
:
32
-
z300
];
if
(
z296
)
z298
<=
ram
[
z307
][
32
-
1
:
32
-
z300
];
end
`else
wire
[
31
:
0
]
z308
,
z309
;
dpram_1024x32x32
sinlut
(
z90
,
z296
,
z306
,
1'b0
,
32'b0
,
z308
,
z90
,
z296
,
z307
,
1'b0
,
32'b0
,
z309
);
`include "../lib/twiddle.hx"
assign
z297
=
z308
[
32
-
1
:
32
-
z300
];
assign
z298
=
z309
[
32
-
1
:
32
-
z300
];
`endif
endmodule
