`include "../lib/firdefs.h"
`ifndef FIR_ORDER
`define FIR_ORDER 5
`endif
`define FIR_COMPLEX 1
module
firengine
(
z1
,
z2
,
z3
,
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
);
parameter
z20
=
1
;
parameter
z21
=
64
;
parameter
z22
=
16
;
parameter
z23
=
20
;
parameter
z24
=
4
;
parameter
z25
=
10
;
parameter
z26
=
`FIR_ORDER
;
`ifdef FIR_COMPLEX
parameter
z27
=
2
;
`else
parameter
z27
=
1
;
`endif
`ifdef FIR_PARALLEL
parameter
z28
=
`FIR_PARALLEL
;
`else
parameter
z28
=
1
;
`endif
localparam
z29
=
3
;
localparam
z30
=
2
;
localparam
z31
=
18
;
localparam
z32
=
z29
+
z22
+
4
;
input
z1
;
input
z2
;
input
z3
;
input
z5
;
input
z7
;
input
[
31
:
0
]
z4
;
input
[
31
:
0
]
z6
;
output
[
31
:
0
]
z8
;
output
z9
;
input
z10
;
output
z11
;
input
z12
;
input
[
7
:
0
]
z13
;
input
[
z21
-
1
:
0
]
z14
;
output
z15
;
input
z16
;
output
[
7
:
0
]
z17
;
output
[
z21
-
1
:
0
]
z18
;
output
[
7
:
0
]
z19
;
wire
z33
=
0
,
z34
=
1
;
assign
z9
=
z34
;
wire
z35
,
z36
,
z37
;
reg
z38
,
z39
,
z40
,
z41
;
reg
[
31
:
0
]
z42
;
reg
[
15
:
0
]
z43
;
swrstat
#
(
"FIR"
,
z26
)
z44
(
z1
,
z3
,
z5
,
z4
,
z6
,
z8
);
wire
[
15
:
0
]
z45
;
swrbank
#
(
0
,
16
)
z46
(
z1
,
z3
,
z5
,
z4
,
z45
);
wire
z47
=
z45
[
0
];
wire
z48
=
z45
[
9
];
wire
z49
=
z45
[
12
];
wire
z50
=
z45
[
13
];
always
@(
posedge
z1
)
begin
z41
<=
!
z42
[
0
]
||
z2
;
if
(
z47
)
z42
<=
z6
;
if
(
z48
)
z43
<=
z6
[
15
:
0
];
end
wire
z51
=
z34
;
wire
[
3
:
0
]
z52
=
z42
[
11
:
8
];
wire
[
3
:
0
]
z53
=
z42
[
15
:
12
];
wire
z54
=
!
z53
[
0
];
wire
z55
=
z53
[
0
];
wire
z56
=
z52
[
3
];
wire
z57
=
z53
[
3
];
always
@(
posedge
z1
)
begin
z38
<=
z36
&&
z35
&&
z37
;
z39
<=
z38
;
end
always
@(
posedge
z10
)
z40
<=
z12
;
`ifdef FIR_PARALLEL
wire
[
z28
*
z27
*
z22
-
1
:
0
]
z58
;
wire
[
z27
*
z22
-
1
:
0
]
z59
;
wire
z60
;
fifoNxM
#
(
z21
,
z28
*
z27
*
z22
)
z61
(
z10
,
z41
,
z11
,
z40
,
z14
,
z1
,
z41
,
z36
,
z38
,
z58
);
firfilter
#
(
z26
,
z22
,
z23
,
z22
,
z24
,
z25
,
`RCELLO
,
z27
,
z28
)
z62
(
z1
,
z41
,
z49
,
z50
,
z6
,
z35
,
z39
,
z58
,
z60
,
z59
,
z33
);
fifoNxM
#
(
z27
*
z22
,
z21
)
z63
(
z1
,
z41
,
z37
,
z60
,
z59
,
z10
,
z41
,
z15
,
z16
,
z18
);
`elsif FIR_COMPLEX
wire
[
31
:
0
]
z58
,
z59
;
wire
z60
;
fifoNxMfmt
#
(
z21
,
32
)
z61
(
z10
,
z41
,
z52
,
z11
,
z40
,
z14
,
z1
,
z41
,
4'h8
,
z36
,
z38
,
z58
);
firfilter
#
(
z26
,
z22
,
z23
,
z22
,
z24
,
z25
,
`ANTISYM
|
`CAUSAL
,
z27
,
z28
)
z62
(
z1
,
z41
,
z49
,
z50
,
z6
,
z35
,
z39
,
z58
,
z60
,
z59
,
z33
);
fifoNxMfmti
#
(
z21
,
32
)
z63
(
z10
,
z41
,
z53
,
z15
,
z16
,
z18
,
z1
,
z41
,
4'h8
,
z37
,
z60
,
z59
);
`else
wire
[
31
:
0
]
z58
;
fifoNxMfmt
#
(
z21
,
32
)
z61
(
z10
,
z41
,
z52
,
z11
,
z40
,
z14
,
z1
,
z41
,
4'h8
,
z36
,
z38
,
z58
);
wire
[
z31
-
1
:
0
]
z64
;
wire
z65
,
z66
,
z67
;
firfilter
#
(
z26
,
z22
,
z23
,
z31
,
z24
,
z25
,
`ANTISYM
|
`CAUSAL
,
z27
,
z28
)
z62
(
z1
,
z41
,
z49
,
z50
,
z6
,
z35
,
z39
,
z58
,
z65
,
z64
,
z33
);
wire
[
z32
-
1
:
0
]
z68
,
z69
,
z70
;
srmul
#
(
z31
,
16
,
z32
)
z71
(
z64
,
z43
,
z68
,
z1
,
z34
);
roundN2Mc
#
(
z32
,
z22
,
z29
)
z72
(
z68
,
z69
,
z54
,
z51
,
z1
,
z66
);
roundN2Mc
#
(
z32
,
8
,
z29
)
z73
(
z69
,
z70
,
z55
,
z51
,
z1
,
z67
);
wire
z74
,
z75
;
wire
[
31
:
0
]
z76
;
reg
z77
,
z78
,
z79
,
z60
;
fifoNxM
#
(
32
,
32
)
z80
(
z1
,
z41
,
z74
,
z39
,
z58
,
z1
,
z41
,
z75
,
z78
,
z76
);
wire
[
15
:
0
]
z81
=
z70
[
z32
-
z29
-
1
:
z32
-
z29
-
z22
];
reg
[
31
:
0
]
z59
;
always
@(
posedge
z1
)
begin
z77
<=
z65
;
z78
<=
z77
;
z79
<=
z78
;
z60
<=
z79
;
z59
<=
z57
?
{
z81
,
z76
[
15
:
0
]}
:
{
16'h0
,
z81
};
end
fifoNxMfmti
#
(
z21
,
32
)
z63
(
z10
,
z41
,
z53
,
z15
,
z16
,
z18
,
z1
,
z41
,
4'h8
,
z37
,
z60
,
z59
);
`endif
endmodule
module
firfilter
(
z82
,
z83
,
z84
,
z85
,
z86
,
z35
,
z87
,
z88
,
z89
,
z90
,
z91
);
parameter
z26
=
4
;
parameter
z21
=
16
;
parameter
z23
=
16
;
parameter
z92
=
16
;
parameter
z24
=
8
;
parameter
z25
=
4
;
parameter
z93
=
`ANTISYM
;
parameter
z27
=
1
;
parameter
z28
=
1
;
localparam
ANTISYM
=(
z93
&
`ANTISYM
)?
1
:
0
;
localparam
PREOUT
=(
z93
&
`PREOUT
)?
1
:
0
;
localparam
z94
=(
z26
>
1
&&
z28
<=
1
&&
(
z93
&
`RCELLO
)==
0
);
localparam
CAUSAL
=(
z93
&
`CAUSAL
)?
1
:
0
;
localparam
z95
=(
z93
&
`C2ROUT
)?
1
:
0
;
localparam
z96
=(
z93
&
`SCLOUT
)?
1
:
0
;
localparam
z97
=(
z93
&
`XTAPS
)?
5
:
4
;
localparam
XCOEF
=(
z93
&
`XCOEF
)?
1
:
0
;
localparam
z98
=
z21
+
z23
-
1
;
localparam
z31
=
z92
+
z24
+
z25
;
localparam
z22
=(
PREOUT
||
z95
)?
z31
:
z92
;
localparam
z99
=(
2
**
z26
);
localparam
z100
=(
z94
)?(
z99
-
3
):(
z99
-
2
*
z28
);
localparam
z101
=
z27
*
z21
;
localparam
z102
=
z27
*
z22
;
localparam
z103
=(
z28
==
4
)?
2
:(
z28
==
2
)?
1
:
1
;
input
z82
,
z83
;
input
z84
,
z85
;
input
[
31
:
0
]
z86
;
input
z87
;
input
[
z28
*
z101
-
1
:
0
]
z88
;
output
z35
,
z89
;
output
[
z102
-
1
:
0
]
z90
;
input
z91
;
wire
z33
=
0
,
z34
=
1
;
wire
[
z28
*
z101
-
1
:
0
]
z104
,
z105
;
wire
[
z101
-
1
:
0
]
z106
[
z99
-
1
:
0
],
z107
[
z99
-
1
:
0
];
wire
[
z23
-
1
:
0
]
z108
[
z99
-
1
:
0
];
wire
[
z23
-
1
:
0
]
z109
=
z86
[
32
-
XCOEF
-
1
:
32
-
XCOEF
-
z23
];
wire
[
z103
-
1
:
0
]
z110
=
z86
[
z103
-
1
:
0
];
wire
[
z27
*
z31
-
1
:
0
]
z111
;
wire
z112
=
(
z96
)?
z33
:
z91
;
wire
z113
=
(
z96
)?
z91
:
z33
;
wire
[
27
:
0
]
z114
;
reg
[
z97
:
0
]
z115
;
reg
[
z97
-
1
:
0
]
z116
,
z117
,
z118
,
z119
,
z120
,
z121
;
reg
[
9
:
0
]
z122
;
reg
signed
[
16
:
0
]
z123
;
reg
z35
,
z124
,
z125
,
z126
,
z127
,
z128
,
z129
,
z130
,
z131
,
z132
,
z133
,
z2
,
z134
,
z135
;
wire
z136
=
z2
||
(
z124
&&
(
z121
==
z120
));
wire
z137
=
(
z122
==
0
);
wire
z138
=
(
z124
&&
z114
[
27
]
&&
!
z137
);
always
@(
posedge
z82
)
begin
if
(
z136
)
z121
<=
0
;
else
if
(
z124
)
z121
<=
z121
+
1
;
z116
<=
z114
[
5
:
0
];
z117
<=
z114
[
11
:
6
];
z118
<=
z114
[
17
:
12
];
z115
<=
z114
[
23
:
18
];
z128
<=
(
z124
&&
z114
[
24
])
||
z2
;
z129
<=
(
z124
&&
z114
[
25
]
&&
!
z127
)
||
z2
;
z132
<=
(
z124
&&
z114
[
26
]);
z133
<=
(
z124
&&
z114
[
27
]
&&
((
CAUSAL
==
0
)
||
z137
));
z125
<=
z124
;
z130
<=
z84
&&
z86
[
31
];
z131
<=
z84
&&
z2
;
z2
<=
z83
;
z134
<=
z2
;
z119
<=
z85
?
z120
:
z118
;
if
(
z130
)
z122
<=
z86
[
9
:
0
];
else
if
(
z138
)
z122
<=
z122
-
1
;
if
(
z130
)
z120
<=
z86
[
21
:
16
];
if
(
z130
)
z126
<=
z86
[
28
];
if
(
z130
)
z127
<=
z86
[
29
];
if
(
z113
)
z123
<=
z86
;
if
(
z113
)
$write
(
"Scale=%x\n"
,
z86
);
end
srlMxN
#
(
z97
,
28
)
z139
(
z82
,
z131
,
z121
,
z86
[
27
:
0
],
z114
);
wire
z140
,
z141
,
z142
;
wire
[
3
:
0
]
z143
=
1
+
z26
+
0
;
wire
[
3
:
0
]
z144
=
1
+
z26
+
1
+(
1
-
PREOUT
)+
z96
;
wire
[
3
:
0
]
z145
=
1
+
z26
+
1
;
srl16xNp
z146
(
z82
,
z34
,
z143
,
z125
,
z142
);
srl16xNp
z147
(
z82
,
z34
,
z143
,
z132
,
z140
);
srl16xNp
z148
(
z82
,
z34
,
z144
,
z133
,
z141
);
reg
[
3
:
0
]
z149
,
z150
;
always
@(
posedge
z82
)
begin
if
(
z2
)
z149
<=
0
;
else
if
(
z128
&!
z87
)
z149
<=
z149
-
1
;
else
if
(!
z128
&
z87
)
z149
<=
z149
+
1
;
if
(
z2
)
z150
<=
z112
;
else
if
(
z128
&!
z87
)
z150
<=
z150
-
1
;
else
if
(!
z128
&
z87
)
z150
<=
z150
+
1
;
z35
<=
(
z149
<
8
)
||
(
z149
==
15
);
z124
<=
(
z149
>
2
)
&&
(
z149
!=
15
);
end
wire
z151
=
z2
&&
(
CAUSAL
==
0
);
genvar
z152
,
z153
,
z154
,
z155
,
z156
;
generate
reg
[
z28
-
1
:
0
]
z157
;
for
(
z152
=
0
;
z152
<
z28
;
z152
=
z152
+
1
)
begin
:
z158
always
@(
posedge
z82
)
z157
[
z152
]
<=
z85
&&
(
z28
<=
1
||
z110
==
z152
);
end
for
(
z152
=
0
;
z152
<
z99
;
z152
=
z152
+
1
)
begin
:
z159
localparam
z153
=
z28
-
1
-(
z152
);
localparam
z154
=
z28
-
1
-(
z152
-(
z99
-
z28
));
/* verilator lint_off SELRANGE */
srlMxN
#
(
z97
,
z101
)
z160
(
z82
,
z128
,
z116
,
(
z152
<
z28
)?
z104
[(
z153
+
1
)*
z101
-
1
:
z153
*
z101
]:
z106
[
z152
-
z28
],
z106
[
z152
]);
srlMxN
#
(
z97
,
z101
)
z161
(
z82
,
z129
,
z117
,
(
z152
>=
z99
-
z28
)?
z105
[(
z154
+
1
)*
z101
-
1
:
z154
*
z101
]:
z107
[
z152
+
z28
],
z107
[
z152
]);
/* verilator lint_on SELRANGE */
srlMxN
#
(
z97
,
z23
)
z162
(
z82
,
z157
[
z152
%
z28
],
z119
,
(
z152
<
z28
)?
z109
:
z108
[
z152
-
z28
],
z108
[
z152
]);
end
endgenerate
generate
for
(
z155
=
0
;
z155
<
z27
;
z155
=
z155
+
1
)
begin
:
z163
for
(
z156
=
0
;
z156
<
z28
;
z156
=
z156
+
1
)
begin
:
z164
localparam
z154
=
z156
*
z27
+
z155
;
srl16xN
#
(
z21
)
z165
(
z82
,
z151
|
z87
,
(
z155
==
0
)?
z150
:
z149
,
z151
?
0
:
z88
[(
z154
+
1
)*
z21
-
1
:
z154
*
z21
],
z104
[(
z154
+
1
)*
z21
-
1
:
z154
*
z21
]);
wire
signed
[
z21
-
1
:
0
]
z166
=
z106
[
z100
+
z156
][(
z155
+
1
)*
z21
-
1
:
z155
*
z21
];
wire
signed
[
z21
-
1
:
0
]
z167
=
(
z126
&&
ANTISYM
)?
-
z166
:
z166
;
srlMxN
#
(
z97
+
1
,
z21
)
z168
(
z82
,
z128
,
z115
,
z167
,
z105
[(
z154
+
1
)*
z21
-
1
:
z154
*
z21
]);
end
wire
signed
[
z92
+
z25
:
0
]
z169
[
z99
-
1
:
0
];
wire
signed
[
z31
-
1
:
0
]
z170
,
z171
,
z172
;
reg
signed
[
z31
-
1
:
0
]
z173
[
z99
-
1
:
0
][
z26
:
0
];
reg
signed
[
z31
-
1
:
0
]
z174
;
for
(
z152
=
0
;
z152
<
z99
;
z152
=
z152
+
1
)
begin
:
z175
reg
signed
[
z23
-
1
:
0
]
z176
;
reg
signed
[
z21
-
1
:
0
]
z177
,
z178
;
reg
signed
[
z21
:
0
]
z179
;
reg
signed
[
z98
+
1
:
0
]
z180
;
always
@(
posedge
z82
)
begin
z177
<=
z106
[
z152
][(
z155
+
1
)*
z21
-
1
:
z155
*
z21
];
z178
<=
z107
[
z152
][(
z155
+
1
)*
z21
-
1
:
z155
*
z21
];
z179
<=
z177
+
z178
;
z176
<=
z108
[
z152
];
z180
<=
z179
*
z176
;
end
assign
z169
[
z152
]
=
z180
[
XCOEF
+
z98
:
XCOEF
+
z98
-
z92
-
z25
];
end
for
(
z153
=
0
;
z153
<
z26
;
z153
=
z153
+
1
)
begin
:
z181
for
(
z152
=
0
;
z152
<(
2
**
z153
);
z152
=
z152
+
1
)
begin
:
z182
always
@(
posedge
z82
)
z173
[
z152
][
z153
]
<=
(
z153
+
1
==
z26
)?
z169
[
z152
+
z152
]
+
z169
[
z152
+
z152
+
1
]
:
z173
[
z152
+
z152
][
z153
+
1
]
+
z173
[
z152
+
z152
+
1
][
z153
+
1
];
end
end
assign
z170
=
z173
[
0
][
0
];
assign
z171
=
z170
+
z174
;
always
@(
posedge
z82
)
if
(
z142
)
z174
<=
z140
?
z171
:
z170
;
assign
z111
[(
z155
+
1
)*
z31
-
1
:
z155
*
z31
]
=
z174
;
end
endgenerate
generate
if
(
z95
)
begin
wire
z183
,
z184
;
srl16xNp
z185
(
z82
,
z34
,
z145
,
z133
,
z183
);
delayp
#
(
1
)
z186
(
z82
,
z183
,
z184
);
delayp
#
(
2
)
z187
(
z82
,
z183
||
z184
,
z89
);
reg
[
1
:
0
]
z188
;
reg
signed
[
z31
-
1
:
0
]
z189
,
z190
,
z191
;
always
@(
posedge
z82
)
begin
if
(
z2
)
z188
<=
0
;
else
if
(
z183
||
z184
)
z188
<=
z188
+
1
;
z189
<=
z111
[
2
*
z31
-
1
:
z31
];
z190
<=
(
z188
[
0
])?
z189
:
z111
[
z31
-
1
:
0
];
z191
<=
(
z188
[
1
]&
z112
)?
-
z190
:
z190
;
end
assign
z90
[
z31
-
1
:
0
]
=
z191
;
end
else
begin
for
(
z155
=
0
;
z155
<
z27
;
z155
=
z155
+
1
)
begin
:
z163
wire
signed
[
24
:
0
]
z192
=
z111
[
24
+
z155
*
z31
:
z155
*
z31
];
reg
signed
[
40
:
0
]
z193
;
always
@(
posedge
z82
)
z193
<=
z192
*
z123
;
wire
z194
;
wire
signed
[
z31
-
1
:
0
]
z195
,
z196
;
assign
z195
=
(
z96
)?
z193
[
z31
+
8
-
1
:
8
]
:
z111
[(
z155
+
1
)*
z31
-
1
:
z155
*
z31
];
roundN2Mc
#
(
z31
,
z92
,
z24
)
z197
(
z195
,
z196
,
z34
,
z34
,
z82
,
z194
);
assign
z90
[(
z155
+
1
)*
z22
-
1
:
z155
*
z22
]
=
(
PREOUT
)?
z195
:
z196
[
z31
-
z24
-
1
:
z31
-
z24
-
z92
];
end
assign
z89
=
z141
;
end
endgenerate
endmodule
