`include "../lib/firdefs.h"
`include "../lib/ramdefs.h"
module
qtfdengine
(
z1
,
z2
,
z3
,
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
);
parameter
z20
=
1
;
parameter
z21
=
64
;
parameter
z22
=
16
;
parameter
z23
=
8
;
parameter
z24
=
6
;
parameter
z25
=
12
;
`ifdef QFIR_ORDER
parameter
z26
=
`QFIR_ORDER
;
`else
parameter
z26
=
5
;
`endif
parameter
z27
=
8
;
parameter
z28
=
z27
*
z22
;
parameter
z29
=
z27
*
z23
;
input
z1
;
input
z2
;
input
z3
;
input
z5
;
input
z7
;
input
[
31
:
0
]
z4
;
input
[
31
:
0
]
z6
;
output
[
31
:
0
]
z8
;
output
z9
;
input
z10
;
output
z11
;
input
z12
;
input
[
7
:
0
]
z13
;
input
[
z21
-
1
:
0
]
z14
;
output
z15
;
input
z16
;
output
[
7
:
0
]
z17
;
output
[
z21
-
1
:
0
]
z18
;
output
[
7
:
0
]
z19
;
wire
z30
=
0
,
z31
=
1
;
assign
z9
=
z31
;
wire
z32
=
z1
;
swrstat
#
(
"QTFD"
,
z26
,
z27
)
z33
(
z1
,
z3
,
z5
,
z4
,
z6
,
z8
);
wire
[
15
:
0
]
z34
;
swrbank
#
(
0
,
16
)
z35
(
z1
,
z3
,
z5
,
z4
,
z34
);
wire
z36
=
z34
[
0
];
wire
z37
=
z34
[
1
];
wire
z38
=
z34
[
6
];
wire
z39
=
z34
[
12
];
wire
z40
=
z34
[
13
];
reg
z41
;
reg
[
31
:
0
]
z42
,
z43
;
reg
[
3
:
0
]
z44
;
reg
[
1
:
0
]
z45
,
z46
;
reg
[
7
:
0
]
z47
;
wire
[
7
:
0
]
z48
=
z43
[
31
:
24
];
always
@(
posedge
z1
)
begin
if
(
z36
)
z42
<=
z6
;
z41
<=
!
z42
[
0
]
||
z2
;
if
(
z37
)
z44
<=
z6
[
3
:
0
];
z45
<=
(
z44
>=
7
)?
3
:
(
z44
>=
3
)?
2
:
(
z44
>=
1
)?
1
:
0
;
if
(
z38
)
z43
<=
z6
[
31
:
0
];
z47
<=
(
z48
<<
z45
);
end
wire
[
3
:
0
]
z49
=
z42
[
11
:
8
];
wire
[
3
:
0
]
z50
=
z42
[
15
:
12
];
wire
z51
=
!
z49
[
0
];
wire
z52
,
z53
,
z54
,
z55
;
reg
z56
,
z57
,
z58
,
z59
,
z60
,
z61
,
z62
,
z63
;
reg
[
2
:
0
]
z64
;
reg
[
7
:
0
]
z65
;
reg
[
7
:
0
]
z66
[
z27
-
1
:
0
];
reg
[
z28
-
1
:
0
]
z67
;
wire
[
z28
-
1
:
0
]
z68
,
z69
,
z70
,
z71
,
z72
;
wire
[
31
:
0
]
z73
;
always
@(
posedge
z1
)
z46
<=
z45
+
z51
;
wire
z74
;
mux4xN
z75
(
z74
,
(
z64
[
2
:
0
]==
0
),
(
z64
[
1
:
0
]==
0
),
(
z64
[
0
]==
0
),
z31
,
z46
);
always
@(
posedge
z10
)
z63
<=
z12
;
fifoNxM
#
(
z21
,
z29
)
z76
(
z10
,
z41
,
z11
,
z63
,
z14
,
z32
,
z41
,
z54
,
z61
,
z72
);
genvar
z77
;
generate
for
(
z77
=
0
;
z77
<
z27
;
z77
=
z77
+
1
)
begin
:
z78
assign
z70
[
z77
*
z22
+
z22
-
1
:
z77
*
z22
]
=
{
z72
[
z29
-
z77
*
8
-
1
:
z29
-
z77
*
8
-
8
],
8'h0
};
assign
z71
[
z77
*
z22
+
z22
-
1
:
z77
*
z22
]
=
z72
[
z28
-
z77
*
z22
-
1
:
z28
-
z77
*
z22
-
z22
];
always
@(
posedge
z1
)
z66
[
z77
]
<=
(
z77
==
0
)?
0
:
z66
[
z77
-
1
]-
z48
;
qrot
z79
(
z32
,
z41
,
z39
,
z6
,
z59
,
z65
+
z66
[
z77
],
z67
[
z77
*
z22
+
z22
-
1
:
z77
*
z22
],
z68
[
z77
*
z22
+
z22
-
1
:
z77
*
z22
],
z69
[
z77
*
z22
+
z22
-
1
:
z77
*
z22
]);
end
endgenerate
always
@(
posedge
z32
)
begin
z56
<=
z54
&&
z55
&&
!
z41
;
z57
<=
z56
;
z58
<=
z57
;
z59
<=
z58
;
z60
<=
z59
;
z61
<=
z56
&&
z74
&&
!
z41
;
z62
<=
z61
;
if
(
z41
)
z64
<=
0
;
else
if
(
z56
)
z64
<=
z64
+
1
;
if
(
z41
)
z65
<=
0
;
else
if
(
z56
)
z65
<=
z65
+
z47
;
if
(
z58
)
z67
<=
z62
?
(
z51
?
z71
:
z70
)
:
(
z45
==
0
)?
{
z67
[
z28
-
1
*
z22
-
1
:
0
],{
1
*
z22
{
z30
}}}
:
(
z45
==
1
)?
{
z67
[
z28
-
2
*
z22
-
1
:
0
],{
2
*
z22
{
z30
}}}
:
{
z67
[
z28
-
4
*
z22
-
1
:
0
],{
4
*
z22
{
z30
}}};
end
qfilt
#
(
z26
,
z27
,
z22
,
z22
,
z22
,
z24
,
z25
,
0
)
z80
(
z32
,
z41
,
z45
,
z40
,
z6
,
z60
,
z68
,
z52
,
z73
[
15
:
00
]);
qfilt
#
(
z26
,
z27
,
z22
,
z22
,
z22
,
z24
,
z25
,
1
)
z81
(
z32
,
z41
,
z45
,
z40
,
z6
,
z60
,
z69
,
z53
,
z73
[
31
:
16
]);
fifoNxMfmti
#
(
z21
,
32
)
z82
(
z10
,
z41
,
z50
,
z15
,
z16
,
z18
,
z32
,
z41
,
4'h8
,
z55
,
z52
,
z73
);
endmodule
module
qfilt
(
z83
,
z2
,
z45
,
z84
,
z85
,
z86
,
z87
,
z88
,
z89
);
parameter
z26
=
4
;
parameter
z90
=
1
;
parameter
z21
=
16
;
parameter
z91
=
16
;
parameter
z92
=
16
;
parameter
z24
=
8
;
parameter
z25
=
4
;
parameter
z93
=
0
;
parameter
z94
=
z21
+
z91
-
1
;
parameter
z95
=
z92
+
z24
+
z25
-
1
;
parameter
z96
=(
2
**
z26
);
parameter
z97
=(
2
*
z96
);
parameter
z98
=
z96
/
z90
;
input
z83
,
z2
;
input
[
1
:
0
]
z45
;
input
z84
;
input
[
31
:
0
]
z85
;
input
z86
;
input
[
z90
*
z21
-
1
:
0
]
z87
;
output
z88
;
output
[
z92
-
1
:
0
]
z89
;
wire
z30
=
0
,
z31
=
1
;
wire
signed
[
z21
-
1
:
0
]
z99
[
z97
-
1
:
0
];
wire
signed
[
z92
+
z25
-
1
:
0
]
z100
[
z96
-
1
:
0
];
reg
signed
[
z95
-
1
:
0
]
z101
[
z96
-
1
:
0
][
z26
:
0
];
wire
signed
[
z95
-
1
:
0
]
z102
,
z103
,
z104
;
wire
signed
[
z91
-
1
:
0
]
z105
=
z85
[
32
-
1
:
32
-
z91
];
wire
[
z26
:
0
]
z106
=
z85
[
z26
:
0
];
wire
z107
;
wire
[
3
:
0
]
z108
=
z26
+
2
;
srl16xNp
z109
(
z83
,
z31
,
z108
,
z86
,
z107
);
wire
signed
[
z21
-
1
:
0
]
z110
[
7
:
0
];
assign
z110
[
0
]
=
z87
[
1
*
z21
-
1
:
0
*
z21
];
assign
z110
[
1
]
=
z87
[
2
*
z21
-
1
:
1
*
z21
];
assign
z110
[
2
]
=
z87
[
3
*
z21
-
1
:
2
*
z21
];
assign
z110
[
3
]
=
z87
[
4
*
z21
-
1
:
3
*
z21
];
assign
z110
[
4
]
=
z87
[
5
*
z21
-
1
:
4
*
z21
];
assign
z110
[
5
]
=
z87
[
6
*
z21
-
1
:
5
*
z21
];
assign
z110
[
6
]
=
z87
[
7
*
z21
-
1
:
6
*
z21
];
assign
z110
[
7
]
=
z87
[
8
*
z21
-
1
:
7
*
z21
];
genvar
z77
,
z111
;
generate
for
(
z77
=
0
;
z77
<
z96
;
z77
=
z77
+
1
)
begin
:
z112
mux4xNpe
#
(
z21
)
z46
(
z99
[
z77
],
(
z77
<
1
)?
z110
[
z77
-
1
+
8
]
:
z99
[
z77
-
1
],
(
z77
<
2
)?
z110
[
z77
-
2
+
8
]
:
z99
[
z77
-
2
],
(
z77
<
4
)?
z110
[
z77
-
4
+
8
]
:
z99
[
z77
-
4
],
(
z77
<
8
)?
z110
[
z77
-
8
+
8
]
:
z99
[
z77
-
8
],
z45
,
z83
,
z86
);
mux4xNpe
#
(
z21
)
z113
(
z99
[
z77
+
z96
],
z99
[
z77
+
z96
-
1
],
z99
[
z77
+
z96
-
2
],
z99
[
z77
+
z96
-
4
],
z99
[
z77
+
z96
-
8
],
z45
,
z83
,
z86
);
reg
z114
;
reg
signed
[
z21
:
0
]
z115
;
reg
signed
[
z91
-
1
:
0
]
z116
;
reg
signed
[
z94
-
1
:
0
]
z117
;
always
@(
posedge
z83
)
begin
:
z118
if
(!
z84
)
z114
<=
0
;
else
z114
<=
(
z106
==
z77
);
if
(
z114
)
z116
<=
z105
;
z115
<=
z99
[
z77
]
+
z99
[
z97
-
1
-
z77
];
z117
<=
z115
*
z116
;
end
assign
z100
[
z77
]
=
z117
[
z94
-
1
:
z94
-
z92
-
z25
];
end
endgenerate
generate
for
(
z111
=
0
;
z111
<
z26
;
z111
=
z111
+
1
)
begin
:
z119
for
(
z77
=
0
;
z77
<(
2
**
z111
);
z77
=
z77
+
1
)
begin
:
z120
always
@(
posedge
z83
)
z101
[
z77
][
z111
]
<=
(
z111
+
1
==
z26
)?
z100
[
z77
+
z77
]
+
z100
[
z77
+
z77
+
1
]
:
z101
[
z77
+
z77
][
z111
+
1
]
+
z101
[
z77
+
z77
+
1
][
z111
+
1
];
end
end
endgenerate
wire
z121
;
assign
z103
=
z101
[
0
][
0
];
roundN2Mc
#
(
z95
,
z92
,
z24
)
z122
(
z103
,
z104
,
z31
,
z31
,
z83
,
z121
);
assign
z88
=
z107
;
assign
z89
=
z104
[
z95
-
z24
-
1
:
z95
-
z24
-
z92
];
endmodule
module
qrot
(
z83
,
z41
,
z5
,
z85
,
z86
,
z123
,
z87
,
z124
,
z125
);
parameter
z21
=
16
;
parameter
z92
=
16
;
parameter
z91
=
16
;
parameter
z24
=
2
;
parameter
z25
=
6
;
parameter
z94
=
z21
+
z91
-
1
;
parameter
z126
=
z92
+
z24
+
z25
;
input
z83
,
z41
,
z5
;
input
[
31
:
0
]
z85
;
input
z86
;
input
[
7
:
0
]
z123
;
input
signed
[
z21
-
1
:
0
]
z87
;
output
[
z92
-
1
:
0
]
z124
,
z125
;
wire
z30
=
0
,
z31
=
1
;
wire
signed
[
z91
-
1
:
0
]
z127
,
z128
;
reg
signed
[
z91
-
1
:
0
]
z129
,
z130
;
reg
signed
[
z94
-
1
:
0
]
z131
,
z132
;
reg
signed
[
z94
-
1
:
0
]
z133
,
z134
;
wire
signed
[
z94
-
1
:
0
]
z135
,
z136
;
reg
[
7
:
0
]
z137
;
sdpram
#
(
2
,
32
,
32
)
ram
(
z83
,
z31
,
{
1'b0
,
z137
},
z5
,
z85
,
z83
,
z31
,
{
1'b0
,
z123
},{
z127
,
z128
});
always
@(
posedge
z83
)
begin
if
(
z41
)
z137
<=
0
;
else
if
(
z5
)
z137
<=
z137
+
1
;
z129
<=
z127
;
z130
<=
z128
;
z131
<=
z129
*
z87
;
z132
<=
z130
*
z87
;
z133
<=
z131
;
z134
<=
z132
;
end
wire
z138
,
z139
;
roundN2Mc
#
(
z126
,
z92
,
z24
)
z140
(
z132
[
z94
-
1
:
z94
-
z126
],
z136
[
z94
-
1
:
z94
-
z126
],
z31
,
z31
,
z83
,
z138
);
roundN2Mc
#
(
z126
,
z92
,
z24
)
z141
(
z131
[
z94
-
1
:
z94
-
z126
],
z135
[
z94
-
1
:
z94
-
z126
],
z31
,
z31
,
z83
,
z139
);
assign
z124
=
z136
[
z94
-
z24
-
1
:
z94
-
z24
-
z92
];
assign
z125
=
z135
[
z94
-
z24
-
1
:
z94
-
z24
-
z92
];
endmodule
