`include "../lib/firdefs.h"
`ifndef TFDD_ORDER
`define TFDD_ORDER 1
`endif
`ifndef TFDD_MDW
`define TFDD_MDW 12
`endif
`define CFIRFLG `XCOEF
`ifdef TFDD_XTAPS
`define PFIRFLG `XCOEF|`C2ROUT|`XTAPS
`else
`define PFIRFLG `XCOEF|`C2ROUT
`endif
`ifndef TFDD_RTAPS
`define TFDD_RTAPS 8
`endif
`ifdef VIVADO
module
z1
#
(
z2
=
1
,
z3
=
64
)
(
input
[
1
:
0
]
z4
,
input
z5
,
input
z6
,
input
[
31
:
0
]
z7
,
input
z8
,
input
[
31
:
0
]
z9
,
input
z10
,
output
[
31
:
0
]
z11
,
output
z12
,
input
z13
,
output
z14
,
input
z15
,
input
[
7
:
0
]
z16
,
input
[
z3
-
1
:
0
]
z17
,
output
z18
,
input
z19
,
output
[
7
:
0
]
z20
,
output
[
z3
-
1
:
0
]
z21
,
output
[
7
:
0
]
z22
);
tfddengine
#
(
z2
,
z3
,
12
,
1
,
8
)
z23
(
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
,
z20
,
z21
,
z22
);
endmodule
`endif
module
tfddengine
(
z4
,
z5
,
z6
,
z7
,
z8
,
z9
,
z10
,
z11
,
z12
,
z13
,
z14
,
z15
,
z16
,
z17
,
z18
,
z19
,
z20
,
z21
,
z22
);
parameter
z2
=
1
;
parameter
z3
=
64
;
parameter
z24
=
`TFDD_MDW
;
parameter
z25
=
`TFDD_ORDER
;
parameter
z26
=
`TFDD_RTAPS
;
localparam
z27
=(
z24
>
12
)?
7
:
(
z24
>
6
)?
6
:
(
z24
>
3
)?
5
:
4
;
`ifdef TFDD_NPS
localparam
z28
=
`TFDD_NPS
;
`else
localparam
z28
=
0
;
`endif
`ifdef PIC8
localparam
z29
=
4
;
localparam
z30
=
4
;
`else
localparam
z29
=
0
;
localparam
z30
=
3
;
`endif
`ifdef SYS_CLKF2_MASK
localparam
z31
=(
`SYS_CLKF2_MASK
>>
(
z2
-
1
))
&
1
;
localparam
z32
=(
z31
>
0
)?
`SYS_CLKF2
:
`SYS_CLKF
;
`else
localparam
z31
=
0
;
localparam
z32
=
`SYS_CLKF
;
`endif
localparam
z33
=
z32
*
1000000
;
input
[
1
:
0
]
z4
;
input
z5
;
input
z6
;
input
[
1
:
0
]
z8
;
input
[
1
:
0
]
z10
;
input
[
31
:
0
]
z7
;
input
[
31
:
0
]
z9
;
output
[
31
:
0
]
z11
;
output
z12
;
input
z13
;
output
z14
;
input
z15
;
input
[
7
:
0
]
z16
;
input
[
z3
-
1
:
0
]
z17
;
output
z18
;
input
z19
;
output
[
7
:
0
]
z20
;
output
[
z3
-
1
:
0
]
z21
;
output
[
7
:
0
]
z22
;
wire
z34
=
0
,
z35
=
1
;
assign
z12
=
z35
;
assign
z20
=
0
;
wire
z36
=
z4
[
z31
];
wire
z37
=
z8
[
z31
];
wire
z38
=
z10
[
z31
];
wire
[
31
:
0
]
z39
=
z33
;
wire
z40
,
z41
,
z42
,
z43
,
z44
;
reg
z45
,
z46
,
z47
,
z48
,
z49
,
z50
;
always
@(
posedge
z13
)
z49
<=
z15
;
swrstat
#
(
"TFDD"
,
z25
,
z24
,
z26
,
z28
,
0
,
0
,
z32
)
z51
(
z36
,
z6
,
z37
,
z7
,
z9
,
z11
);
wire
[
15
:
0
]
z52
;
swrbank
#
(
0
,
16
)
z53
(
z36
,
z6
,
z37
,
z7
,
z52
);
wire
z54
=
z52
[
0
],
z55
=
z52
[
1
],
z56
=
z52
[
2
],
z57
=
z52
[
3
],
z58
=
z52
[
4
],
z59
=
z52
[
5
],
z60
=
z52
[
6
],
z61
=
z52
[
7
];
wire
z62
=
z52
[
8
],
z63
=
z52
[
9
],
z64
=
z52
[
10
],
z65
=
z52
[
11
],
z66
=
z52
[
12
],
z67
=
z52
[
13
],
z68
=
z52
[
14
],
z69
=
z52
[
15
];
reg
[
31
:
0
]
z70
;
reg
[
z24
-
1
:
0
]
z71
;
reg
[
7
:
0
]
z72
,
z73
;
reg
[
11
:
0
]
z74
;
reg
[
31
:
0
]
z75
;
always
@(
posedge
z36
)
begin
if
(
z5
)
z70
<=
0
;
else
if
(
z54
)
z70
<=
z9
;
if
(
z5
)
z71
<=
0
;
else
if
(
z55
)
z71
<=
z9
;
if
(
z5
)
z72
<=
0
;
else
if
(
z59
)
z72
<=
z9
;
if
(
z5
)
z74
<=
0
;
else
if
(
z63
)
z74
<=
z9
;
if
(
z5
)
z75
<=
0
;
else
if
(
z57
)
z75
<=
z9
;
if
(
z5
)
z73
<=
0
;
else
if
(
z61
)
z73
<=
z9
;
end
wire
z76
=
!
z70
[
0
];
wire
z77
=
z70
[
0
];
wire
z78
=
z70
[
1
];
wire
z79
=
z70
[
2
];
wire
z80
=
z70
[
3
];
wire
z81
=
z70
[
4
];
wire
z82
=
z70
[
5
];
wire
z83
=
z70
[
6
];
wire
z84
=
z70
[
7
];
wire
[
3
:
0
]
z85
=
z70
[
11
:
8
];
wire
[
3
:
0
]
z86
=
z70
[
15
:
12
];
wire
[
2
:
0
]
z87
=
z70
[
18
:
16
];
wire
[
3
:
0
]
z88
=
z70
[
23
:
20
];
wire
[
1
:
0
]
z89
=
z7
[
1
:
0
];
wire
z90
=
z35
;
wire
z91
=
!
z86
[
3
]
&&
!
z84
;
wire
z92
=
z86
[
0
];
wire
z93
=
z86
[
2
];
wire
z94
=
z36
;
wire
z95
=
!
z83
;
wire
z96
=
z81
?
z79
:
z73
[
0
];
reg
z97
,
z98
;
reg
[
4
:
0
]
z99
;
wire
z100
=
(
z45
||
z97
);
wire
z101
=
(
z99
<=
1
);
wire
z102
=
z76
||
z101
;
always
@(
posedge
z94
)
begin
if
(
z76
)
z45
<=
0
;
else
z45
<=
z40
&&
z41
&&
z42
&&
z44
&&
(!
z100
||
z101
||
!
z81
)
&&
!
z50
;
if
(
z76
)
z97
<=
0
;
else
z97
<=
z100
&&
!
z101
&&
z81
;
if
(
z102
)
z99
<=
z72
;
else
if
(
z100
)
z99
<=
z99
-
1
;
z46
<=
z82
?
z45
:
(
z45
||
z97
);
end
`ifdef TFDD_NPS
wire
[
3
:
0
]
z103
=
{
z60
&(
z89
==
3
),
z60
&(
z89
==
2
),
z60
&(
z89
==
1
),
z60
&(
z89
==
0
)};
wire
[
3
:
0
]
z104
=
{
z61
&(
z89
==
3
),
z61
&(
z89
==
2
),
z61
&(
z89
==
1
),
z61
&(
z89
==
0
)};
wire
[
z28
*
2
*
16
-
1
:
0
]
z105
,
z106
;
fifoNxM
#
(
z3
,
z28
*
2
*
16
)
z107
(
z13
,
z76
,
z14
,
z49
,
z17
,
z94
,
z76
,
z40
,
z45
,
z105
);
reg
z108
;
always
@(
posedge
z94
)
z108
<=
(
z72
<=
1
);
reg
z109
;
always
@(
posedge
z94
)
z109
<=
z45
;
reg
[
31
:
0
]
z110
;
always
@(
posedge
z94
)
z110
<=
z105
[
63
:
32
];
assign
z106
=
z108
?
z105
:
z109
?
{
32'h0
,
z105
[
31
:
0
]}
:
{
32'h0
,
z110
};
wire
z111
;
wire
[
z28
*
2
*
17
-
1
:
0
]
z112
;
cxtuner
#
(
16
,
16
,
17
,
1
,
z28
)
z113
(
z94
,
z76
,
z103
,
z104
,
z9
,
z46
,
z106
,
z111
,
z112
);
wire
z114
,
z115
;
wire
[
16
:
0
]
z116
,
z117
;
firfilter
#
(
z25
,
17
,
18
,
17
,
3
,
8
,
`CFIRFLG
|
`SCLOUT
,
2
,
z28
)
z118
(
z94
,
z76
,
z64
,
z65
,
z9
,
z114
,
z111
,
z112
,
z115
,{
z117
,
z116
},
z56
);
assign
z41
=
z114
;
`else
wire
[
31
:
0
]
z105
;
fifoNxMfmt
#
(
z3
,
32
)
z107
(
z13
,
z76
,
z85
,
z14
,
z49
,
z17
,
z94
,
z76
,
4'h8
,
z40
,
z45
,
z105
);
reg
signed
[
15
:
0
]
z119
,
z120
;
wire
z121
=
(
z105
[
15
:
01
]
==
15'b100000000000000
);
wire
z122
=
(
z105
[
31
:
17
]
==
15'b100000000000000
);
always
@(
posedge
z94
)
begin
z98
<=
!
z45
;
z47
<=
z46
&&
z81
;
z48
<=
z47
;
if
(
z98
)
z119
<=
0
;
else
z119
<=
{
z105
[
15
:
01
],
z105
[
00
]|
z121
};
if
(
z98
)
z120
<=
0
;
else
z120
<=
{
z105
[
31
:
17
],
z105
[
16
]|
z122
};
end
reg
z123
,
z124
,
z125
,
z126
,
z127
;
reg
[
3
:
0
]
z128
;
reg
[
6
:
0
]
z129
;
wire
z130
=
z125
&&
(
z128
>
0
);
always
@(
posedge
z94
)
begin
z123
<=
z45
;
z124
<=
z123
;
z125
<=
z124
;
z126
<=
z125
;
z129
<=
z105
[
15
]?
~
z105
[
14
:
8
]
:
z105
[
14
:
8
];
z127
<=
z124
&&
(
z129
>
z74
[
6
:
0
]);
if
(
z127
)
z128
<=
z74
[
11
:
8
];
else
if
(
z130
)
z128
<=
z128
-
1
;
end
wire
signed
[
15
:
0
]
z131
,
z132
;
dds
z133
(
z94
,
z76
,
z60
,
z61
,
z9
,
z46
,
z131
,
z132
);
reg
z134
,
z135
,
z111
;
wire
signed
[
23
:
0
]
z136
,
z137
;
reg
signed
[
31
:
0
]
z138
,
z139
,
z140
,
z141
;
reg
signed
[
31
:
0
]
z142
,
z143
;
always
@(
posedge
z94
)
begin
z138
<=
(
z119
*
z132
);
z139
<=
(
z119
*
z131
);
z140
<=
(
z120
*
z132
);
z141
<=
(
z120
*
z131
);
if
(
z130
)
z142
<=
0
;
else
z142
<=
(
z138
-
z141
);
if
(
z130
)
z143
<=
0
;
else
z143
<=
(
z139
+
z140
);
z134
<=
z48
;
z135
<=
z48
;
z111
<=
z48
;
end
assign
z137
=
z142
[
31
:
8
];
assign
z136
=
z143
[
31
:
8
];
wire
z144
,
z145
;
wire
signed
[
16
:
0
]
z146
,
z147
;
cicfilter
#
(
5
,
24
,
17
,
z24
,
z27
,
16
)
z148
(
z94
,
z76
,
z71
,
z56
,
z9
,
z111
,
z137
,
z144
,
z146
);
cicfilter
#
(
5
,
24
,
17
,
z24
,
z27
,
16
)
z149
(
z94
,
z76
,
z71
,
z56
,
z9
,
z111
,
z136
,
z145
,
z147
);
wire
z114
,
z115
;
wire
[
16
:
0
]
z116
,
z117
;
firfilter
#
(
z25
,
17
,
16
,
17
,
3
,
8
,
`CFIRFLG
,
2
,
1
)
z118
(
z94
,
z76
,
z64
,
z65
,
z9
,
z114
,
z144
,{
z147
,
z146
},
z115
,{
z117
,
z116
},
z34
);
assign
z41
=
z35
;
`endif
wire
z150
,
z151
;
wire
[
16
:
0
]
z152
,
z153
;
resfilter
#
(
z26
,
17
,
18
,
17
,
3
,
8
,
2
)
z154
(
z94
,
z76
,
z95
,
z58
,
z57
,
z68
,
z69
,
z9
,
z150
,
z115
,{
z117
,
z116
},
z43
,
z151
,{
z153
,
z152
});
assign
z42
=
z150
;
wire
z155
,
z156
;
wire
[
31
:
0
]
z157
;
firfilter
#
(
z25
,
17
,
16
,
18
,
4
,
10
,
`PFIRFLG
,
2
)
z158
(
z94
,
z76
,
z66
,
z67
,
z9
,
z155
,
z151
,{
z153
,
z152
},
z156
,
z157
,
z91
);
assign
z43
=
z155
;
wire
signed
[
24
:
0
]
z159
,
z160
,
z161
;
wire
z162
,
z163
;
wire
z164
=
z90
&&
!
z93
;
wire
z165
=
z90
&&
z92
;
assign
z159
=
$signed
(
z157
[
27
:
3
]);
roundN2Mc
#
(
25
,
16
,
1
)
z166
(
z159
,
z160
,
z164
,
z35
,
z94
,
z162
);
roundN2Mc
#
(
25
,
8
,
1
)
z167
(
z160
,
z161
,
z165
,
z35
,
z94
,
z163
);
reg
[
6
:
0
]
z168
;
reg
z169
,
z170
,
z171
;
always
@(
posedge
z94
)
begin
if
(
z76
)
z168
<=
0
;
else
if
(
z156
)
z168
<=
z168
+
1
;
if
(
z76
)
z169
<=
0
;
else
z169
<=
!
z80
||
z168
[
6
]
||
z169
;
z170
<=
z156
&&
z169
;
z171
<=
z170
;
end
`ifdef BLNK_DEBUG
wire
z172
=
z126
;
wire
[
31
:
0
]
z173
=
{
z143
[
30
:
15
],
z142
[
30
:
15
]};
`else
wire
z172
=
z46
;
wire
[
31
:
0
]
z173
=
z105
;
`endif
reg
[
7
:
0
]
z174
;
reg
[
9
:
0
]
z175
;
wire
z176
=
z172
&&
(
z175
==
0
);
wire
z177
=
(
z174
==
z39
[
27
:
20
]);
always
@(
posedge
z94
)
begin
if
(
z76
)
z175
<=
0
;
else
if
(
z176
)
z175
<=
z71
;
else
if
(
z172
)
z175
<=
z175
-
1
;
if
(!
z96
)
z50
<=
z34
;
else
z50
<=
(
z174
>
z75
[
27
:
20
]);
if
(
z177
)
z174
<=
1
;
else
z174
<=
z174
+
1
;
end
reg
z178
;
reg
[
3
:
0
]
z179
;
reg
[
31
:
0
]
z180
;
always
@(
posedge
z94
)
begin
z180
<=
z81
?
{
8'b0
,
z161
[
23
:
8
]}
:
z173
;
z178
<=
z81
?
z171
:
z176
;
z179
<=
z81
?
{
z34
,
z86
[
2
:
0
]}
:
z86
;
end
fifoNxMfmti
#
(
z3
,
32
)
z181
(
z13
,
z76
,
z179
,
z18
,
z19
,
z21
,
z36
,
z76
,
4'h8
,
z44
,
z178
,
z180
);
assign
z22
=
{
z151
,
z115
,
z45
,
z40
,
z14
,
z40
,
z44
,
z18
};
endmodule
